<?php
/*
=====================================================================
Enqueue styles and scripts
=====================================================================
*/

function upcp_theme_load_styles(){
	wp_register_style( 'upcp_theme_load_style_css', get_stylesheet_uri() );
	wp_register_style( 'upcp_theme_load_googlefonts_css', 'http://fonts.googleapis.com/css?family=Source+Sans+Pro:400,700,400italic,700italic|Montserrat:400|Roboto+Slab:400' );
	wp_register_style( 'upcp_theme_load_fontawesome_css', get_template_directory_uri() . '/inc/font-awesome/css/font-awesome.min.css' );
	wp_enqueue_style( 'upcp_theme_load_style_css' );
	wp_enqueue_style( 'upcp_theme_load_googlefonts_css' );
	wp_enqueue_style( 'upcp_theme_load_fontawesome_css' );
}
add_action( 'wp_enqueue_scripts', 'upcp_theme_load_styles' );

function upcp_theme_load_scripts(){
	wp_register_script( 'upcp_theme_load_upcp_theme_js', get_template_directory_uri() . '/js/base.js', array( 'jquery' ) );
	wp_register_script( 'upcp_theme_load_featuredProds_js', get_template_directory_uri() . '/js/featuredProds.js', array( 'jquery' ) );
	wp_register_script( 'upcp_theme_load_textOnPic_js', get_template_directory_uri() . '/js/textOnPic.js', array( 'jquery' ) );
	wp_enqueue_script( 'upcp_theme_load_upcp_theme_js' );
	wp_enqueue_script( 'upcp_theme_load_featuredProds_js' );
	wp_enqueue_script( 'upcp_theme_load_textOnPic_js' );
}
add_action( 'wp_enqueue_scripts', 'upcp_theme_load_scripts' );




/*
=====================================================================
TGM Plugin Stuff
=====================================================================
*/

require_once get_template_directory() . '/lib/class-tgm-plugin-activation.php';

add_action( 'tgmpa_register', 'upcp_theme_register_required_plugins' );

function upcp_theme_register_required_plugins() {
	$plugins = array(
		array(
			'name'               => 'Ultimate Showcase Required Add-Ons',
			'slug'               => 'ultimate-showcase-addons',
			'source'             => 'http://www.etoilewebdesign.com/add-ons/ultimate-showcase/ultimate-showcase-addons.zip',
			'required'           => false,
			'version'            => '1.0',
			'force_activation'   => false,
			'force_deactivation' => false,
			'external_url'       => '',
			'is_callable'        => '', // If set, this callable will be be checked for availability to determine if a plugin is active.
		),
		array(
			'name'               => 'Ultimate Slider',
			'slug'               => 'ultimate-slider',
			'required'           => false,
		),
		array(
			'name'      => 'Ultimate Product Catalog',
			'slug'      => 'ultimate-product-catalogue',
			'required'  => false,
		),
	);

	// Only uncomment the strings in the config array if you want to customize the strings.
	$config = array(
		'id'           => 'ultimate-showcase',     // Unique ID for hashing notices for multiple instances of TGMPA.
		'default_path' => '',                      // Default absolute path to bundled plugins.
		'menu'         => 'tgmpa-install-plugins', // Menu slug.
		'has_notices'  => true,                    // Show admin notices or not.
		'dismissable'  => true,                    // If false, a user cannot dismiss the nag message.
		'dismiss_msg'  => '',                      // If 'dismissable' is false, this message will be output at top of nag.
		'is_automatic' => false,                   // Automatically activate plugins after installation or not.
		'message'      => '',                      // Message to output right before the plugins table.

		/*
		'strings'      => array(
			'page_title'                      => __( 'Install Required Plugins', 'ultimate-showcase' ),
			'menu_title'                      => __( 'Install Plugins', 'ultimate-showcase' ),
			'installing'                      => __( 'Installing Plugin: %s', 'ultimate-showcase' ), // %s = plugin name.
			'oops'                            => __( 'Something went wrong with the plugin API.', 'ultimate-showcase' ),
			'notice_can_install_required'     => _n_noop(
				'This theme requires the following plugin: %1$s.',
				'This theme requires the following plugins: %1$s.',
				'ultimate-showcase'
			), // %1$s = plugin name(s).
			'notice_can_install_recommended'  => _n_noop(
				'This theme recommends the following plugin: %1$s.',
				'This theme recommends the following plugins: %1$s.',
				'ultimate-showcase'
			), // %1$s = plugin name(s).
			'notice_cannot_install'           => _n_noop(
				'Sorry, but you do not have the correct permissions to install the %1$s plugin.',
				'Sorry, but you do not have the correct permissions to install the %1$s plugins.',
				'ultimate-showcase'
			), // %1$s = plugin name(s).
			'notice_ask_to_update'            => _n_noop(
				'The following plugin needs to be updated to its latest version to ensure maximum compatibility with this theme: %1$s.',
				'The following plugins need to be updated to their latest version to ensure maximum compatibility with this theme: %1$s.',
				'ultimate-showcase'
			), // %1$s = plugin name(s).
			'notice_ask_to_update_maybe'      => _n_noop(
				'There is an update available for: %1$s.',
				'There are updates available for the following plugins: %1$s.',
				'ultimate-showcase'
			), // %1$s = plugin name(s).
			'notice_cannot_update'            => _n_noop(
				'Sorry, but you do not have the correct permissions to update the %1$s plugin.',
				'Sorry, but you do not have the correct permissions to update the %1$s plugins.',
				'ultimate-showcase'
			), // %1$s = plugin name(s).
			'notice_can_activate_required'    => _n_noop(
				'The following required plugin is currently inactive: %1$s.',
				'The following required plugins are currently inactive: %1$s.',
				'ultimate-showcase'
			), // %1$s = plugin name(s).
			'notice_can_activate_recommended' => _n_noop(
				'The following recommended plugin is currently inactive: %1$s.',
				'The following recommended plugins are currently inactive: %1$s.',
				'ultimate-showcase'
			), // %1$s = plugin name(s).
			'notice_cannot_activate'          => _n_noop(
				'Sorry, but you do not have the correct permissions to activate the %1$s plugin.',
				'Sorry, but you do not have the correct permissions to activate the %1$s plugins.',
				'ultimate-showcase'
			), // %1$s = plugin name(s).
			'install_link'                    => _n_noop(
				'Begin installing plugin',
				'Begin installing plugins',
				'ultimate-showcase'
			),
			'update_link' 					  => _n_noop(
				'Begin updating plugin',
				'Begin updating plugins',
				'ultimate-showcase'
			),
			'activate_link'                   => _n_noop(
				'Begin activating plugin',
				'Begin activating plugins',
				'ultimate-showcase'
			),
			'return'                          => __( 'Return to Required Plugins Installer', 'ultimate-showcase' ),
			'plugin_activated'                => __( 'Plugin activated successfully.', 'ultimate-showcase' ),
			'activated_successfully'          => __( 'The following plugin was activated successfully:', 'ultimate-showcase' ),
			'plugin_already_active'           => __( 'No action taken. Plugin %1$s was already active.', 'ultimate-showcase' ),  // %1$s = plugin name(s).
			'plugin_needs_higher_version'     => __( 'Plugin not activated. A higher version of %s is needed for this theme. Please update the plugin.', 'ultimate-showcase' ),  // %1$s = plugin name(s).
			'complete'                        => __( 'All plugins installed and activated successfully. %1$s', 'ultimate-showcase' ), // %s = dashboard link.
			'contact_admin'                   => __( 'Please contact the administrator of this site for help.', 'ultimate-showcase' ),

			'nag_type'                        => 'updated', // Determines admin notice type - can only be 'updated', 'update-nag' or 'error'.
		),
		*/
	);

	tgmpa( $plugins, $config );
}




/*
=====================================================================
Load text domain
=====================================================================
*/

add_action('after_setup_theme', 'upcp_theme_text_domain');
function upcp_theme_text_domain(){
    load_theme_textdomain('ultimate-showcase', get_template_directory() . '/lang');
}




/*
=====================================================================
Add customizable navigation
=====================================================================
*/

function upcp_theme_register_my_menu() {
  register_nav_menu('main-menu', __('Main Menu', 'ultimate-showcase'));
}
add_action( 'init', 'upcp_theme_register_my_menu' );




/*
=====================================================================
Widgetize sidebar and footer
=====================================================================
*/

function upcp_theme_widgets_init() {
	register_sidebar( array(
		'name' => __('Page Sidebar', 'ultimate-showcase'),
		'id' => 'sidebar_widget',
		'before_widget' => '<div class="widgetBox">',
		'after_widget' => '</div> <!-- widgetBox -->',
		'before_title' => '<h3>',
		'after_title' => '</h3><div class="clear"></div>',
	) );
	register_sidebar( array(
		'name' => __('Blog Sidebar', 'ultimate-showcase'),
		'id' => 'sidebar_widget_blog',
		'before_widget' => '<div class="widgetBox">',
		'after_widget' => '</div> <!-- widgetBox -->',
		'before_title' => '<h3>',
		'after_title' => '</h3><div class="clear"></div>',
	) );
	register_sidebar( array(
		'name' => __('Footer', 'ultimate-showcase'),
		'id' => 'footer_widget',
		'before_widget' => '<div class="widgetBox">',
		'after_widget' => '</div><!-- widgetBox --></div><!-- column -->',
		'before_title' => '<div class="column"><h3>',
		'after_title' => '</h3><div class="clear"></div>',
	) );
	register_sidebar( array(
		'name' => __('Page Top Widget Area', 'ultimate-showcase'),
		'id' => 'page_top_widgets',
		'before_widget' => '<div class="widgetBox">',
		'after_widget' => '</div><!-- widgetBox --></div><!-- column -->',
		'before_title' => '<div class="column"><h3>',
		'after_title' => '</h3><div class="clear"></div>',
	) );
	register_sidebar( array(
		'name' => __('Page Bottom Widget Area', 'ultimate-showcase'),
		'id' => 'page_bottom_widgets',
		'before_widget' => '<div class="widgetBox">',
		'after_widget' => '</div><!-- widgetBox --></div><!-- column -->',
		'before_title' => '<div class="column"><h3>',
		'after_title' => '</h3><div class="clear"></div>',
	) );
}
add_action( 'widgets_init', 'upcp_theme_widgets_init' );




/*
=====================================================================
Post thumbnails
=====================================================================
*/

add_action( 'after_setup_theme', 'upcp_theme_post_thumbnails' );
function upcp_theme_post_thumbnails(){
	add_theme_support('post-thumbnails');
	//set_post_thumbnail_size(250, 250, true);
}




/*
=====================================================================
Custom background
=====================================================================
*/

add_action( 'after_setup_theme', 'upcp_theme_custom_background' );
function upcp_theme_custom_background(){
	$args = array(
		'default-color' => 'ffffff',
	);
	add_theme_support( 'custom-background', $args );
}




/*
=====================================================================
Feeds
=====================================================================
*/

add_action( 'after_setup_theme', 'upcp_theme_automatic_feed_links' );
function upcp_theme_automatic_feed_links(){
	add_theme_support( 'automatic-feed-links' );
}




/*
=====================================================================
Content width
=====================================================================
*/

if ( ! isset( $content_width ) ) $content_width = 960;




/*
=====================================================================
Title tag
=====================================================================
*/

add_action( 'after_setup_theme', 'upcp_theme_slug_setup' );
function upcp_theme_slug_setup(){
	add_theme_support( 'title-tag' );
}



/*
=====================================================================
Custom logo
=====================================================================
*/

add_action( 'after_setup_theme', 'upcp_theme_custom_header' );
function upcp_theme_custom_header(){
	add_theme_support( "custom-header" );
	if ( ! defined('NO_HEADER_TEXT') ){
		define( 'NO_HEADER_TEXT', true );
	}
}
function upcp_theme_custom_logo() {
	add_theme_support( 'custom-logo' );
}
add_action( 'after_setup_theme', 'upcp_theme_custom_logo' );




/*
=====================================================================
Threaded comments
=====================================================================
*/

function upcp_theme_threaded_comments(){
	if ( is_singular() && get_option( 'thread_comments' ) ){
		wp_enqueue_script( 'comment-reply' );
	}
}
add_action( 'comment_form_before', 'upcp_theme_threaded_comments' );




/*
=====================================================================
Excerpt Read More link
=====================================================================
*/

function upcp_theme_excerpt_read_more($more) {
	global $post;
	return '<br><a class="excerptReadMore" href="'. get_permalink($post->ID) . '">' . __('Read More', 'ultimate-showcase') . '</a>';
}
add_filter('excerpt_more', 'upcp_theme_excerpt_read_more');




/*
=====================================================================
WooCommerce
=====================================================================
*/

//Declare support
add_action( 'after_setup_theme', 'upcp_theme_woocommerce_support' );
function upcp_theme_woocommerce_support() {
    add_theme_support( 'woocommerce' );
}

add_action('pre_get_posts','upcp_theme_woocommerce_filter_product_search');
function upcp_theme_woocommerce_filter_product_search($query) {
	if ( function_exists('is_shop') and is_shop() and isset($_REQUEST['prod_name'])) {
        $query->set( 's', sanitize_text_field($_REQUEST['prod_name']) );
    }
}

function EWD_UPCP_Theme_Get_WooCommerce_Matching_Products() {
	$Path = ABSPATH . 'wp-load.php';
	include_once($Path);

	$Search = $_POST['Search'];
	$Request_Count = $_POST['Request_Count'];

	$Message_Array = array('request_count' => $Request_Count);

	$params = array(
					's' => $Search, 
					'post_type' => 'product',
					'posts_per_page' => 4
				);
	
	$WC_Products_Query = new WP_Query($params);

	if ($WC_Products_Query->post_count > 0) {
		$ProductString = "<div class='upcp-minimal-catalogue upcp-minimal-width-4'>";
		while ( $WC_Products_Query->have_posts() ) : $WC_Products_Query->the_post();
			if (class_exists('WC_Product')) {
				$Product = new WC_Product(get_the_ID());
				$Product_Image = wp_get_attachment_image_src( get_post_thumbnail_id($Featured_Product['ProductID']), 'medium_large' );

				$ProductString .= "<div class='upcp-insert-product upcp-minimal-product-listing'>";
				$ProductString .= "<a class='upcp-minimal-link' href='" . get_permalink() . "'>";
				$ProductString .= "<div class='upcp-minimal-img-div'>";
				$ProductString .= "<div class='upcp-minimal-img-div-inside'>";
				$ProductString .= "<img class='upcp-minimal-img' src='" . $Product_Image[0] . "' alt='Product Image' />";
				$ProductString .= "</div>";
				$ProductString .= "</div>";
				$ProductString .= "<div class='upcp-minimal-title'>" . get_the_title() . "</div>";
				$ProductString .= "<div class='upcp-minimal-price'>" . $Product->get_price() . "</div>";
				$ProductString .= "</a>";
				$ProductString .= "</div>";
			}
		endwhile; wp_reset_query();
		$ProductString .= "</div>";
		$ProductString .= "<div class='clear'></div>";

		$Message_Array['message'] = $ProductString;
	}
	else {$Message_Array['message'] = "No results found matching " . $Search . ".";}

	echo json_encode($Message_Array);

	die();
}
add_action('wp_ajax_upcp_theme_wc_ajax_search', 'EWD_UPCP_Theme_Get_WooCommerce_Matching_Products');
add_action('wp_ajax_nopriv_upcp_theme_wc_ajax_search', 'EWD_UPCP_Theme_Get_WooCommerce_Matching_Products');




/*
=====================================================================
Customizer
=====================================================================
*/

require_once get_template_directory() . '/inc/customizer.php';



/*
=====================================================================
Create Contact Form
=====================================================================
*/

function EWD_UST_Create_Contact_Form() {
	$Admin_Email = get_option('admin_email');
	$Blogname = get_option('blogname');
	$Site_URL = get_bloginfo('siteurl');

	$post = array(
		'post_name' => 'ewd-ust-contact-form',
		'post_title' => 'Contact Form',
		'post_type' => 'wpcf7_contact_form',
		'post_content' =>
'<p>Your Name (required)<br />
    [text* your-name] </p>

<p>Your Email (required)<br />
    [email* your-email] </p>

<p>Subject<br />
    [text your-subject] </p>

<p>Your Message<br />
    [textarea your-message] </p>

<p>[submit "Send"]</p>
Contact Form E-mail
[your-name] <' . $Admin_Email . '>
From: [your-name] <[your-email]>
Subject: [your-subject]

Message Body:
[your-message]

--
This e-mail was sent from a contact form on ' . $Blogname . ' (' . $Site_URL . ')
' . $Admin_Email . '
Reply-To: [your-email]

0
0

[your-subject]
' . $Blogname . ' <' . $Admin_Email . '>
Message Body:
[your-message]

--
This e-mail was sent from a contact form on ' . $Blogname . ' (' . $Site_URL . ')
[your-email]
Reply-To: ' . $Admin_Email . '

0
0
Your message was sent successfully. Thanks.
Failed to send your message. Please try later or contact the administrator by another method.
Validation errors occurred. Please confirm the fields and submit it again.
Failed to send your message. Please try later or contact the administrator by another method.
Please accept the terms to proceed.
Please fill in the required field.
This input is too long.
This input is too short.
			');

	$insert_result = wp_insert_post( $post);

	if ($insert_result != 0) {
			$mail_array = array(
			'subject' => '[your-subject]',
			'sender' => $Blogname . ' <' . $Admin_Email . '>',
			'body' => 'From: [your-name] <[your-email]>
Interested Product: [product-name]

Message Body:
[your-message]

--
This e-mail was sent from a contact form on ' . $Blogname . ' (' . $Site_URL . ')',
				'recipient' => $Admin_Email,
				'additional_headers' => 'Reply-To: [your-email]',
				'attachments' => '',
				'use_html' => 0,
				'exclude_blank' => 0
		);

		add_post_meta($insert_result, "_mail", $mail_array);
		add_post_meta($insert_result, "_form",
'<p>Your Name (required)<br />
    [text* your-name] </p>

<p>Your Email (required)<br />
    [email* your-email] </p>

<p>Subject<br />
    [text your-subject] </p>

<p>Your Message<br />
    [textarea your-message] </p>

<p>[submit "Send"]</p>
		');
		add_post_meta($insert_result, "_mail_2", $mail_array);
		add_post_meta($insert_result, "_messages", array(
				"mail_sent_ok",
				"Your message was sent successfully. Thanks.",
				"mail_sent_ng",
				"Failed to send your message. Please try later or contact the administrator by another method.",
				"validation_error",
				"Validation errors occurred. Please confirm the fields and submit it again.",
				"spam",
				"Failed to send your message. Please try later or contact the administrator by another method.",
				"accept_terms",
				"Please accept the terms to proceed.",
				"invalid_required",
				"Please fill in the required field.",
				"invalid_too_long",
				"This input is too long.",
				"invalid_too_short",
				"This input is too short."
				)
			);

		add_post_meta($insert_result, "_additional_settings", '');
		add_post_meta($insert_result, "_locale", 'en_US');
	}
}


/*
=====================================================================
PAGE/HEADER LAYOUT META BOXES ON PAGE EDIT AND POST EDIT SCREENS
=====================================================================
*/

// ADD META BOXES TO THE EDIT/CREATE POST SCREENS
add_action( 'add_meta_boxes', 'upcp_theme_add_header_layout_metaboxes' );
function upcp_theme_add_header_layout_metaboxes() {
    add_meta_box('upcp_theme_header_layout_meta_pages', __('Header Layout', 'ultimate-showcase'), 'upcp_theme_header_layout_meta', 'page', 'side', 'high');
    add_meta_box('upcp_theme_header_layout_meta_posts', __('Header Layout', 'ultimate-showcase'), 'upcp_theme_header_layout_meta', 'post', 'side', 'high');
}

//add inputs to the meta box
function upcp_theme_header_layout_meta() {
    global $post;
    //Noncename needed to verify where the data originated
    echo '<input type="hidden" name="upcp_theme_header_layout_meta_noncename" id="upcp_theme_header_layout_meta_noncename" value="' .
    wp_create_nonce( plugin_basename(__FILE__) ) . '" />';
    //Get the location data if its already been entered
    $ustHeaderLayoutSelect = get_post_meta($post->ID, '_ustHeaderLayoutSelect', true);
    $ustHeaderLayoutFromCustomizer = get_theme_mod('upcp_theme_setting_page_layout', 'default');
    if($ustHeaderLayoutFromCustomizer == 'default'){$ustHeaderLayoutFromCustomizerName = __('Default', 'ultimate-showcase');}
    if($ustHeaderLayoutFromCustomizer == 'banner_image'){$ustHeaderLayoutFromCustomizerName = __('Banner Image', 'ultimate-showcase');}
    if($ustHeaderLayoutFromCustomizer == 'minimalist'){$ustHeaderLayoutFromCustomizerName = __('Minimalist', 'ultimate-showcase');}
    echo '<label for="_ustHeaderLayoutSelect">' . __('Choose Layout', 'ultimate-showcase') . '</label>';
    echo '<select name="_ustHeaderLayoutSelect">';
    	echo '<option value="from_customizer"' . ( $ustHeaderLayoutSelect == 'from_customizer' ? ' selected=selected' : '' ) . '>' . __('Customizer', 'ultimate-showcase') . ' (' . $ustHeaderLayoutFromCustomizerName . ')</option>';
    	echo '<option value="default"' . ( $ustHeaderLayoutSelect == 'default' ? ' selected=selected' : '' ) . '>' . __('Default', 'ultimate-showcase') . '</option>';
    	echo '<option value="banner_image"' . ( $ustHeaderLayoutSelect == 'banner_image' ? ' selected=selected' : '' ) . '>' . __('Banner Image', 'ultimate-showcase') . '</option>';
    	echo '<option value="minimalist"' . ( $ustHeaderLayoutSelect == 'minimalist' ? ' selected=selected' : '' ) . '>' . __('Minimalist', 'ultimate-showcase') . '</option>';
    echo '</select>';
}

//save meta box input fields
function upcp_theme_header_layout_meta_save($post_id, $post) {
    if( !wp_verify_nonce( $_POST['upcp_theme_header_layout_meta_noncename'], plugin_basename(__FILE__) ) ){
        return $post->ID;
    }
    if( !current_user_can( 'edit_post', $post->ID ) )
        return $post->ID;
    $ustHeaderLayoutMeta['_ustHeaderLayoutSelect'] = sanitize_text_field( $_POST['_ustHeaderLayoutSelect'] );
    // Add values of $testimonialMeta as custom fields
    foreach ($ustHeaderLayoutMeta as $key => $value) {
        if( $post->post_type == 'revision' ) return; //Don't store custom data twice
        $value = implode(',', (array)$value); //If $value is an array, make it a CSV (unlikely)
        if(get_post_meta($post->ID, $key, FALSE)) { //If the custom field already has a value
            update_post_meta($post->ID, $key, $value);
        } else { //If the custom field doesn't have a value
            add_post_meta($post->ID, $key, $value);
        }
        if(!$value) delete_post_meta($post->ID, $key); // Delete if blank
    }
}
add_action('save_post', 'upcp_theme_header_layout_meta_save', 1, 2); // save the custom fields
