<?php /* Header */
include_once( ABSPATH . 'wp-admin/includes/plugin.php' );
$pluginUPCP = "ultimate-product-catalogue/UPCP_Main.php";
$installedUPCP = is_plugin_active($pluginUPCP);

$Catalog_Page_ID = get_option("EWD_UPCP_Theme_Catalogue_Page_ID");
$Catalog_Page_Link = get_permalink($Catalog_Page_ID);
$promoBar = get_theme_mod('upcp_theme_setting_promo_bar_enable', 'no');
$promoBarText = get_theme_mod('upcp_theme_setting_promo_bar_text', '');
$utilityNavEnable = get_theme_mod('upcp_theme_setting_utility_nav_enable', 'yes');
$utilityNavPhone = get_theme_mod('upcp_theme_setting_utility_nav_phone', '');
$utilityNavEmail = get_theme_mod('upcp_theme_setting_utility_nav_email', '');
$utilityNavFacebook = get_theme_mod('upcp_theme_setting_utility_nav_facebook', '');
$utilityNavTwitter = get_theme_mod('upcp_theme_setting_utility_nav_twitter', '');
$utilityNavInstagram = get_theme_mod('upcp_theme_setting_utility_nav_instagram', '');
$utilityNavYouTube = get_theme_mod('upcp_theme_setting_utility_nav_youtube', '');
$utilityNavPinterest = get_theme_mod('upcp_theme_setting_utility_nav_pinterest', '');

//$CustomCSS = get_theme_mod( 'upcp_theme_setting_custom_css_textarea', '' );

if (get_option("EWD_UPCP_Theme_Search_Catalog_Label") == "") {$Search_Catalog_Label = __("SEARCH CATALOG", "ultimate-showcase");}
else {$Search_Catalog_Label = get_option("EWD_UPCP_Theme_Search_Catalog_Label");}
?>
<!DOCTYPE html>
<html <?php language_attributes(); ?>>
	<head>
		<meta charset="<?php bloginfo( 'charset' ); ?>">
		<meta name="viewport" content="width=device-width, user-scalable=false,">
		<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>" />

		<?php
		wp_head();
		/*
		if($CustomCSS != ''){
			?>
			<style>
				<?php echo esc_html($CustomCSS); ?>
			</style>
			<?php
		}
		*/
		?>
	</head>

	<body <?php body_class(); ?>>

		<div id="toTopButton"></div>
		<?php upcp_theme_do_extras(); ?>

		<?php
		if( is_admin_bar_showing() && $utilityNavEnable == 'no' && $promoBar == 'no'){
			$mobileMenuClass = ' class="headerAdminBarClear"';
		}
		elseif( !is_admin_bar_showing() && $utilityNavEnable == 'yes' && $promoBar == 'no'){
			$mobileMenuClass = ' class="headerUtilityNavClear"';
		}
		elseif( is_admin_bar_showing() && $utilityNavEnable == 'yes' && $promoBar == 'no'){
			$mobileMenuClass = ' class="headerAdminBarAndUtilityNavClear"';
		}
		elseif( !is_admin_bar_showing() && $utilityNavEnable == 'no' && $promoBar == 'yes'){
			$mobileMenuClass = ' class="headerPromoBarClear"';
		}
		elseif( is_admin_bar_showing() && $utilityNavEnable == 'no' && $promoBar == 'yes'){
			$mobileMenuClass = ' class="headerAdminBarAndPromoBarClear"';
		}
		elseif( !is_admin_bar_showing() && $utilityNavEnable == 'yes' && $promoBar == 'yes'){
			$mobileMenuClass = ' class="headerUtilityNavAndPromoBarClear"';
		}
		elseif( is_admin_bar_showing() && $utilityNavEnable == 'yes' && $promoBar == 'yes'){
			$mobileMenuClass = ' class="headerAdminBarAndUtilityNavAndPromoBarClear"';
		}
		else{
			$mobileMenuClass = '';
		}
		?>
		<nav id="mobileMenu"<?php echo $mobileMenuClass; ?>>
			<?php wp_nav_menu( array( 'theme_location' => 'main-menu' ) ); ?>
		</nav>

		<?php
		if($utilityNavEnable == 'yes' && $promoBar == 'no'){
			$utilityPromoClearClass = ' headerWithUtilityNav';
		}
		elseif($utilityNavEnable == 'no' && $promoBar == 'yes'){
			$utilityPromoClearClass = ' headerWithPromoBar';
		}
		elseif($utilityNavEnable == 'yes' && $promoBar == 'yes'){
			$utilityPromoClearClass = ' headerWithUtilityNavAndPromoBar';
		}
		else{
			$utilityPromoClearClass = '';
		}
		?>

		<header id="header" class="<?php echo ( is_admin_bar_showing() ? 'headerAdminBarClear' : '' ) ?><?php echo $utilityPromoClearClass; ?>">
			<?php if($promoBar == 'yes'){ ?>
				<div id="promoBar">
					<div id="promoBarInside">
						<div id="promoBarText">
							<?php echo $promoBarText; ?>
						</div>
					</div>
				</div>
			<?php } ?>
			<?php if($utilityNavEnable == 'yes'){ ?>
				<div id="utilityNav">
					<div class="wrapper">
						<div class="container">
							<div id="utilityAd">
								<ul>
									<?php if($utilityNavPhone != ''){ ?>
										<li>
											<i class="fa fa-phone"></i><?php echo $utilityNavPhone; ?>
										</li>
									<?php } ?>
									<?php if($utilityNavEmail != ''){ ?>
										<li>
											<a href="mailto:<?php echo $utilityNavEmail; ?>"><i class="fa fa-envelope"></i><?php echo $utilityNavEmail; ?></a>
										</li>
									<?php } ?>
								</ul>
							</div>
							<div id="utilitySocial">
								<ul>
									<?php if($utilityNavFacebook != ''){ ?>
										<li>
											<a href="<?php echo $utilityNavFacebook; ?>"><i class="fa fa-facebook"></i></a>
										</li>
									<?php } ?>
									<?php if($utilityNavTwitter != ''){ ?>
										<li>
											<a href="<?php echo $utilityNavTwitter; ?>"><i class="fa fa-twitter"></i></a>
										</li>
									<?php } ?>
									<?php if($utilityNavInstagram != ''){ ?>
										<li>
											<a href="<?php echo $utilityNavInstagram; ?>"><i class="fa fa-instagram"></i></a>
										</li>
									<?php } ?>
									<?php if($utilityNavYouTube != ''){ ?>
										<li>
											<a href="<?php echo $utilityNavYouTube; ?>"><i class="fa fa-youtube"></i></a>
										</li>
									<?php } ?>
									<?php if($utilityNavPinterest != ''){ ?>
										<li>
											<a href="<?php echo $utilityNavPinterest; ?>"><i class="fa fa-pinterest"></i></a>
										</li>
									<?php } ?>
								</ul>
							</div>
						</div> <!-- container -->
					</div> <!-- wrapper -->
				</div> <!-- utilityNav -->
			<?php } // utilityNavEnable if ?>
			<div id="mainHeader">
				<div class="wrapper">
					<div class="container">
					<?php
					if ( function_exists('the_custom_logo') ){
						$custom_logo_id = get_theme_mod( 'custom_logo' );
						$custom_logo_image = wp_get_attachment_image_src( $custom_logo_id , 'full' );
						$theLogoURL = $custom_logo_image[0];
					}
					else{
						$theLogoURL = get_header_image();
					}
					if($theLogoURL != ''){
						?>
						<a href="<?php echo esc_url( home_url('/') ); ?>"><img src="<?php echo esc_url($theLogoURL); ?>" id="logo"></a>
						<?php
					}
					else{
						$theSiteTitle = get_bloginfo('name');
						$theSiteTagline = get_bloginfo('description');
						?>
						<div id="logoTitleAndDescription">
							<div id="logoTitle">
								<a href="<?php echo esc_url( home_url('/') ); ?>"><?php echo esc_html($theSiteTitle); ?></a>
							</div>
							<div class="clear"></div>
							<div id="logoDescription">
								<?php echo esc_html($theSiteTagline); ?>
							</div>
						</div>
						<?php
					}
					if($installedUPCP){
						$CatalogUrlDefault = get_option('EWD_UPCP_Theme_Catalogue_Page_ID');
						$ajaxSearchType = get_theme_mod( 'upcp_theme_setting_header_ajax_search_type', 'off' );
						//if (get_option('EWD_UPCP_Theme_Search_Option') == "WooCommerce") {$Search_URL = get_permalink( woocommerce_get_page_id( 'shop' ) );}
						if ( get_theme_mod( 'upcp_theme_setting_header_search_type', 'upcp' ) == 'woocommerce' and function_exists('woocommerce_get_page_id')) {$Search_URL = get_permalink( woocommerce_get_page_id( 'shop' ) );}
						else {$Search_URL = get_theme_mod( 'upcp_theme_setting_catalog_url_text', $CatalogUrlDefault );}
						$Product_Class = get_theme_mod( 'upcp_theme_setting_header_search_type', 'upcp' );
						$AJAX_Catalogue_Search = get_option('EWD_UPCP_Theme_AJAX_Catalogue_Search');
						//if ($AJAX_Catalogue_Search == "AJAX") {$AJAX_Search_Class = "ajax-catalogue-search";}
						//elseif ($AJAX_Catalogue_Search == "AutoComplete") {$AJAX_Search_Class = "autocomplete-catalogue-search";}
						if ($ajaxSearchType == "full") {$AJAX_Search_Class = "ajax-catalogue-search";}
						elseif ($ajaxSearchType == "autocomplete") {$AJAX_Search_Class = "autocomplete-catalogue-search";}
						else {$AJAX_Search_Class = "";}
						?>
						<form id="headerSearch" class="<?php echo $AJAX_Search_Class . ' ' . $Product_Class; ?>" method="post" action="<?php echo esc_url($Search_URL); ?>">
							<input type="text" name="prod_name" id="headerSearchCatalog" placeholder="<?php echo esc_attr($Search_Catalog_Label); ?>">
						</form>
					<?php } ?>
					<nav id="menu">
						<?php wp_nav_menu( array( 'theme_location' => 'main-menu' ) ); ?>
					</nav>
					<div id="menuBars"><i class="fa fa-bars"></i></div>
					</div> <!-- container -->
				</div> <!-- wrapper -->
			</div> <!-- mainHeader -->
		</header>

		<div class="clear"></div>
