<?php
/*
=====================================================================
Customizer Stuff
=====================================================================
*/


/************************
START CALLBACK FUNCTIONS
************************/
function upcp_theme_callback_homepage_template(){
	return is_page_template('page-home.php');
}
function upcp_theme_callback_contact_page_template(){
	return is_page_template('page-contact.php');
}
/************************
END CALLBACK FUNCTIONS
************************/



function upcp_theme_customize_register( $wp_customize ){

	/*==============
	START PANELS
	==============*/

	// HOMEPAGE
	$wp_customize->add_panel( 'upcp_theme_setting_homepage_panel', array(
		'priority'       => 10,
		'title'          => __('Homepage', 'ultimate-showcase'),
		'active_callback' => 'upcp_theme_callback_homepage_template'
	) );

	// STYLING
	$wp_customize->add_panel( 'upcp_theme_setting_styling_panel', array(
		'priority'       => 10,
		'title'          => __('Styling', 'ultimate-showcase'),
	) );

	// HEADER
	$wp_customize->add_panel( 'upcp_theme_setting_header_panel', array(
		'priority'       => 10,
		'title'          => __('Header', 'ultimate-showcase'),
	) );

	/*==============
	END PANELS
	==============*/

	$wp_customize->remove_section('background_image');
	//$wp_customize->get_section('header_image')->title = __( 'Logo', 'ultimate-showcase');
	$wp_customize->get_section('header_image')->description = __( 'If you are using WordPress version 4.5+, use the "Site Identity" section of the customizer to upload your logo. If you\'re using below version 4.5, upload it here.', 'ultimate-showcase');
	$wp_customize->get_section('colors')->panel = 'upcp_theme_setting_styling_panel';
	$wp_customize->get_section('custom_css')->panel = 'upcp_theme_setting_styling_panel';
	$wp_customize->get_section('header_image')->panel = 'upcp_theme_setting_header_panel';
	$wp_customize->get_section('wpseo_breadcrumbs_customizer_section')->panel = 'upcp_theme_setting_header_panel';
	if ( function_exists('the_custom_logo') ){
		$wp_customize->remove_section('header_image');
	}

	// LOGO HEIGHT
	$wp_customize->add_setting( 'upcp_theme_setting_logo_height', array(
		'default'		=> '24px',
		'sanitize_callback' => 'upcp_theme_setting_sanitize_all_text_fields',
		'transport'		=> 'refresh',
	) );
	$wp_customize->add_control(
		'upcp_theme_setting_logo_height',
		array(
			'section'	=> 'header_image',
			'label'		=> __( 'Logo Height', 'ultimate-showcase' ),
			'description'		=> __( 'Specify the logo height in pixels (e.g. 24px)', 'ultimate-showcase' ),
			'type'    => 'text',
		)
	);

	// LOGO TOP MARGIN
	$wp_customize->add_setting( 'upcp_theme_setting_logo_top_margin', array(
		'default'		=> '28px',
		'sanitize_callback' => 'upcp_theme_setting_sanitize_all_text_fields',
		'transport'		=> 'refresh',
	) );
	$wp_customize->add_control(
		'upcp_theme_setting_logo_top_margin',
		array(
			'section'	=> 'header_image',
			'label'		=> __( 'Logo Top Margin', 'ultimate-showcase' ),
			'description'		=> __( 'Specify the margin above the logo in pixels (e.g. 28px)', 'ultimate-showcase' ),
			'type'    => 'text',
		)
	);

	/*==============
	START COLOURS
	==============*/

	// TEXT COLOR
	$wp_customize->add_setting( 'upcp_theme_setting_text_color', array(
		'default'		=> '#999',
		'sanitize_callback' => 'upcp_theme_setting_sanitize_all_color_fields',
		'transport'		=> 'refresh',
	) );
	$wp_customize->add_control(
		new WP_Customize_Color_Control(
			$wp_customize,
			'upcp_theme_setting_text_color',
			array(
				'label'		=> __( 'Text Color', 'ultimate-showcase' ),
				'section'	=> 'colors',
				'settings'	=> 'upcp_theme_setting_text_color'
			)
		)
	);

	// LINK COLOR
	$wp_customize->add_setting( 'upcp_theme_setting_link_color', array(
		'default'		=> '#34ADCF',
		'sanitize_callback' => 'upcp_theme_setting_sanitize_all_color_fields',
		'transport'		=> 'refresh',
	) );
	$wp_customize->add_control(
		new WP_Customize_Color_Control(
			$wp_customize,
			'upcp_theme_setting_link_color',
			array(
				'label'		=> __( 'Link Color', 'ultimate-showcase' ),
				'section'	=> 'colors',
				'settings'	=> 'upcp_theme_setting_link_color'
			)
		)
	);

	// HEADER BACKGROUND COLOR
	$wp_customize->add_setting( 'upcp_theme_setting_header_background_color', array(
		'default'		=> '#fff',
		'sanitize_callback' => 'upcp_theme_setting_sanitize_all_color_fields',
		'transport'		=> 'refresh',
	) );
	$wp_customize->add_control(
		new WP_Customize_Color_Control(
			$wp_customize,
			'upcp_theme_setting_header_background_color',
			array(
				'label'		=> __( 'Header Background Color', 'ultimate-showcase' ),
				'section'	=> 'colors',
				'settings'	=> 'upcp_theme_setting_header_background_color'
			)
		)
	);

	// MENU TEXT COLOR
	$wp_customize->add_setting( 'upcp_theme_setting_menu_text_color', array(
		'default'		=> '#111',
		'sanitize_callback' => 'upcp_theme_setting_sanitize_all_color_fields',
		'transport'		=> 'refresh',
	) );
	$wp_customize->add_control(
		new WP_Customize_Color_Control(
			$wp_customize,
			'upcp_theme_setting_menu_text_color',
			array(
				'label'		=> __( 'Menu Text Color', 'ultimate-showcase' ),
				'section'	=> 'colors',
				'settings'	=> 'upcp_theme_setting_menu_text_color'
			)
		)
	);

	// MENU TEXT HOVER COLOR
	$wp_customize->add_setting( 'upcp_theme_setting_menu_text_hover_color', array(
		'default'		=> '#34ADCF',
		'sanitize_callback' => 'upcp_theme_setting_sanitize_all_color_fields',
		'transport'		=> 'refresh',
	) );
	$wp_customize->add_control(
		new WP_Customize_Color_Control(
			$wp_customize,
			'upcp_theme_setting_menu_text_hover_color',
			array(
				'label'		=> __( 'Menu Text Hover Color', 'ultimate-showcase' ),
				'section'	=> 'colors',
				'settings'	=> 'upcp_theme_setting_menu_text_hover_color'
			)
		)
	);

	// MENU DROP DOWN BACKGROUND COLOR
	$wp_customize->add_setting( 'upcp_theme_setting_menu_dropdown_background_color', array(
		'default'		=> '#111',
		'sanitize_callback' => 'upcp_theme_setting_sanitize_all_color_fields',
		'transport'		=> 'refresh',
	) );
	$wp_customize->add_control(
		new WP_Customize_Color_Control(
			$wp_customize,
			'upcp_theme_setting_menu_dropdown_background_color',
			array(
				'label'		=> __( 'Menu Drop Down Background Color', 'ultimate-showcase' ),
				'section'	=> 'colors',
				'settings'	=> 'upcp_theme_setting_menu_dropdown_background_color'
			)
		)
	);

	// MENU DROP DOWN BACKGROUND HOVER COLOR
	$wp_customize->add_setting( 'upcp_theme_setting_menu_dropdown_background_hover_color', array(
		'default'		=> '#fff',
		'sanitize_callback' => 'upcp_theme_setting_sanitize_all_color_fields',
		'transport'		=> 'refresh',
	) );
	$wp_customize->add_control(
		new WP_Customize_Color_Control(
			$wp_customize,
			'upcp_theme_setting_menu_dropdown_background_hover_color',
			array(
				'label'		=> __( 'Menu Drop Down Background Hover Color', 'ultimate-showcase' ),
				'section'	=> 'colors',
				'settings'	=> 'upcp_theme_setting_menu_dropdown_background_hover_color'
			)
		)
	);

	// MENU DROP DOWN TEXT COLOR
	$wp_customize->add_setting( 'upcp_theme_setting_menu_dropdown_text_color', array(
		'default'		=> '#fff',
		'sanitize_callback' => 'upcp_theme_setting_sanitize_all_color_fields',
		'transport'		=> 'refresh',
	) );
	$wp_customize->add_control(
		new WP_Customize_Color_Control(
			$wp_customize,
			'upcp_theme_setting_menu_dropdown_text_color',
			array(
				'label'		=> __( 'Menu Drop Down Text Color', 'ultimate-showcase' ),
				'section'	=> 'colors',
				'settings'	=> 'upcp_theme_setting_menu_dropdown_text_color'
			)
		)
	);

	// MENU DROP DOWN TEXT HOVER COLOR
	$wp_customize->add_setting( 'upcp_theme_setting_menu_dropdown_text_hover_color', array(
		'default'		=> '#111',
		'sanitize_callback' => 'upcp_theme_setting_sanitize_all_color_fields',
		'transport'		=> 'refresh',
	) );
	$wp_customize->add_control(
		new WP_Customize_Color_Control(
			$wp_customize,
			'upcp_theme_setting_menu_dropdown_text_hover_color',
			array(
				'label'		=> __( 'Menu Drop Down Text Hover Color', 'ultimate-showcase' ),
				'section'	=> 'colors',
				'settings'	=> 'upcp_theme_setting_menu_dropdown_text_hover_color'
			)
		)
	);

	// PAGE TITLE BAR BACKGROUND COLOR
	$wp_customize->add_setting( 'upcp_theme_setting_page_title_bar_background_color', array(
		'default'		=> '#34ADCF',
		'sanitize_callback' => 'upcp_theme_setting_sanitize_all_color_fields',
		'transport'		=> 'refresh',
	) );
	$wp_customize->add_control(
		new WP_Customize_Color_Control(
			$wp_customize,
			'upcp_theme_setting_page_title_bar_background_color',
			array(
				'label'		=> __( 'Page Title Bar Background Color', 'ultimate-showcase' ),
				'section'	=> 'colors',
				'settings'	=> 'upcp_theme_setting_page_title_bar_background_color'
			)
		)
	);

	// PAGE TITLE BAR TEXT COLOR
	$wp_customize->add_setting( 'upcp_theme_setting_page_title_bar_text_color', array(
		'default'		=> '#fff',
		'sanitize_callback' => 'upcp_theme_setting_sanitize_all_color_fields',
		'transport'		=> 'refresh',
	) );
	$wp_customize->add_control(
		new WP_Customize_Color_Control(
			$wp_customize,
			'upcp_theme_setting_page_title_bar_text_color',
			array(
				'label'		=> __( 'Page Title Bar Text Color', 'ultimate-showcase' ),
				'section'	=> 'colors',
				'settings'	=> 'upcp_theme_setting_page_title_bar_text_color'
			)
		)
	);

	// TESTIMONIAL QUOTATION MARK COLOR
	$wp_customize->add_setting( 'upcp_theme_setting_testimonial_quote_color', array(
		'default'		=> '#34ADCF',
		'sanitize_callback' => 'upcp_theme_setting_sanitize_all_color_fields',
		'transport'		=> 'refresh',
	) );
	$wp_customize->add_control(
		new WP_Customize_Color_Control(
			$wp_customize,
			'upcp_theme_setting_testimonial_quote_color',
			array(
				'label'		=> __( 'Testimonial Quotation Mark Color', 'ultimate-showcase' ),
				'section'	=> 'colors',
				'settings'	=> 'upcp_theme_setting_testimonial_quote_color'
			)
		)
	);

	// FOOTER BACKGROUND COLOR
	$wp_customize->add_setting( 'upcp_theme_setting_footer_background_color', array(
		'default'		=> '#292929',
		'sanitize_callback' => 'upcp_theme_setting_sanitize_all_color_fields',
		'transport'		=> 'refresh',
	) );
	$wp_customize->add_control(
		new WP_Customize_Color_Control(
			$wp_customize,
			'upcp_theme_setting_footer_background_color',
			array(
				'label'		=> __( 'Footer Background Color', 'ultimate-showcase' ),
				'section'	=> 'colors',
				'settings'	=> 'upcp_theme_setting_footer_background_color'
			)
		)
	);

	// FOOTER TEXT COLOR
	$wp_customize->add_setting( 'upcp_theme_setting_footer_text_color', array(
		'default'		=> '#fff',
		'sanitize_callback' => 'upcp_theme_setting_sanitize_all_color_fields',
		'transport'		=> 'refresh',
	) );
	$wp_customize->add_control(
		new WP_Customize_Color_Control(
			$wp_customize,
			'upcp_theme_setting_footer_text_color',
			array(
				'label'		=> __( 'Footer Text Color', 'ultimate-showcase' ),
				'section'	=> 'colors',
				'settings'	=> 'upcp_theme_setting_footer_text_color'
			)
		)
	);

	// COPYRIGHT AREA BACKGROUND COLOR
	$wp_customize->add_setting( 'upcp_theme_setting_copyright_background_color', array(
		'default'		=> '#111',
		'sanitize_callback' => 'upcp_theme_setting_sanitize_all_color_fields',
		'transport'		=> 'refresh',
	) );
	$wp_customize->add_control(
		new WP_Customize_Color_Control(
			$wp_customize,
			'upcp_theme_setting_copyright_background_color',
			array(
				'label'		=> __( 'Copyright Background Color', 'ultimate-showcase' ),
				'section'	=> 'colors',
				'settings'	=> 'upcp_theme_setting_copyright_background_color'
			)
		)
	);

	// COPYRIGHT AREA TEXT COLOR
	$wp_customize->add_setting( 'upcp_theme_setting_copyright_text_color', array(
		'default'		=> '#fff',
		'sanitize_callback' => 'upcp_theme_setting_sanitize_all_color_fields',
		'transport'		=> 'refresh',
	) );
	$wp_customize->add_control(
		new WP_Customize_Color_Control(
			$wp_customize,
			'upcp_theme_setting_copyright_text_color',
			array(
				'label'		=> __( 'Copyright Text Color', 'ultimate-showcase' ),
				'section'	=> 'colors',
				'settings'	=> 'upcp_theme_setting_copyright_text_color'
			)
		)
	);

	/*==============
	END COLOURS
	==============*/

	/*==============
	START FONTS
	==============*/

	// CREATE FONTS SECTION
	$wp_customize->add_section(
		'upcp_theme_setting_fonts',
		array(
			'title'			=> __( 'Fonts', 'ultimate-showcase'),
			'description'	=> __( 'Please note that, if you use a Google font or other webfont, you must also properly include that font (i.e. in the header file, the functions file or via CSS).', 'ultimate-showcase'),
			'priority'		=> 50,
			'panel'			=> 'upcp_theme_setting_styling_panel'
		)
	);

	// MAIN BODY FONT
	$wp_customize->add_setting( 'upcp_theme_setting_font_main', array(
		'default'			=> '',
		'sanitize_callback' => 'upcp_theme_setting_sanitize_all_text_fields',
		'transport'			=> 'refresh',
	) );
	$wp_customize->add_control(
		'upcp_theme_setting_font_main',
		array(
			'section'	=> 'upcp_theme_setting_fonts',
			'label'		=> __( 'Main Body Font', 'ultimate-showcase' ),
			'type'    	=> 'text',
		)
	);

	// HEADING FONT
	$wp_customize->add_setting( 'upcp_theme_setting_font_heading', array(
		'default'			=> '',
		'sanitize_callback' => 'upcp_theme_setting_sanitize_all_text_fields',
		'transport'			=> 'refresh',
	) );
	$wp_customize->add_control(
		'upcp_theme_setting_font_heading',
		array(
			'section'	=> 'upcp_theme_setting_fonts',
			'label'		=> __( 'Heading Font', 'ultimate-showcase' ),
			'type'    	=> 'text',
		)
	);

	// MENU FONT
	$wp_customize->add_setting( 'upcp_theme_setting_font_menu', array(
		'default'			=> '',
		'sanitize_callback' => 'upcp_theme_setting_sanitize_all_text_fields',
		'transport'			=> 'refresh',
	) );
	$wp_customize->add_control(
		'upcp_theme_setting_font_menu',
		array(
			'section'	=> 'upcp_theme_setting_fonts',
			'label'		=> __( 'Menu Font', 'ultimate-showcase' ),
			'type'    	=> 'text',
		)
	);

	// CAPITALIZE HEADINGS
	$wp_customize->add_setting( 'upcp_theme_setting_font_capitalize_headings', array(
		'default'		=> 'no',
		'sanitize_callback' => 'upcp_theme_setting_sanitize_all_radio_fields',
		'transport'		=> 'refresh',
	) );
	$wp_customize->add_control(
		'upcp_theme_setting_font_capitalize_headings',
		array(
			'section'			=> 'upcp_theme_setting_fonts',
			'label'				=> __( 'Disable Automatic Capitalization', 'ultimate-showcase' ),
			'description'	=> __( 'Select Yes to turn off all automatic capitalization in the theme (including for headings, menus, inputs, etc.).', 'ultimate-showcase' ),
			'type'    		=> 'radio',
			'choices'  		=> array(
				'yes'    			=> __( 'Yes', 'ultimate-showcase' ),
				'no'   				=> __( 'No', 'ultimate-showcase' ),
			)
		)
	);

	/*==============
	END FONTS
	==============*/

	/*==============
	START CALLOUT
	==============*/

	// CREATE CALLOUT SECTION
	$wp_customize->add_section(
		'upcp_theme_setting_callout_section',
		array(
			'title'     => __( 'Callout Area', 'ultimate-showcase'),
			'priority'  => 200,
			'panel'			=> 'upcp_theme_setting_homepage_panel'
		)
	);

	// CALLOUT ENABLE
	/*$wp_customize->add_setting( 'upcp_theme_setting_callout_enable', array(
		'default'		=> 'yes',
		'sanitize_callback' => 'upcp_theme_setting_sanitize_all_radio_fields',
		'transport'		=> 'refresh',
	) );
	$wp_customize->add_control(
		'upcp_theme_setting_callout_enable',
		array(
			'section'	=> 'upcp_theme_setting_callout_section',
			'label'		=> __( 'Display Callout Area on Homepage', 'ultimate-showcase' ),
			'type'    => 'radio',
			'choices'  => array(
				'yes'    => __( 'Yes', 'ultimate-showcase' ),
				'no'   => __( 'No', 'ultimate-showcase' ),
			)
		)
	);*/

	// CALLOUT HEADING TEXT
	$wp_customize->add_setting( 'upcp_theme_setting_callout_heading_text', array(
		'default'		=> '',
		'sanitize_callback' => 'upcp_theme_setting_sanitize_all_text_fields',
		'transport'		=> 'refresh',
	) );
	$wp_customize->add_control(
		'upcp_theme_setting_callout_heading_text',
		array(
			'section'	=> 'upcp_theme_setting_callout_section',
			'label'		=> __( 'Heading Text', 'ultimate-showcase' ),
			'type'    => 'text',
		)
	);

	// CALLOUT SUB-HEADING TEXT
	$wp_customize->add_setting( 'upcp_theme_setting_callout_subheading_text', array(
		'default'		=> '',
		'sanitize_callback' => 'upcp_theme_setting_sanitize_all_text_fields',
		'transport'		=> 'refresh',
	) );
	$wp_customize->add_control(
		'upcp_theme_setting_callout_subheading_text',
		array(
			'section'	=> 'upcp_theme_setting_callout_section',
			'label'		=> __( 'Sub-Heading Text', 'ultimate-showcase' ),
			'type'    => 'text',
		)
	);

	// CALLOUT BUTTON TEXT
	$wp_customize->add_setting( 'upcp_theme_setting_callout_button_text', array(
		'default'		=> '',
		'sanitize_callback' => 'upcp_theme_setting_sanitize_all_text_fields',
		'transport'		=> 'refresh',
	) );
	$wp_customize->add_control(
		'upcp_theme_setting_callout_button_text',
		array(
			'section'	=> 'upcp_theme_setting_callout_section',
			'label'		=> __( 'Button Text', 'ultimate-showcase' ),
			'type'    => 'text',
		)
	);

	// CALLOUT BUTTON LINK
	$wp_customize->add_setting( 'upcp_theme_setting_callout_button_link', array(
		'default'		=> '',
		'sanitize_callback' => 'upcp_theme_setting_sanitize_all_url_fields',
		'transport'		=> 'refresh',
	) );
	$wp_customize->add_control(
		'upcp_theme_setting_callout_button_link',
		array(
			'section'	=> 'upcp_theme_setting_callout_section',
			'label'		=> __( 'Button Link', 'ultimate-showcase' ),
			'type'    => 'text',
		)
	);

	// CALLOUT BACKGROUND COLOR
	$wp_customize->add_setting( 'upcp_theme_setting_callout_background_color', array(
		'default'		=> '#34ADCF',
		'sanitize_callback' => 'upcp_theme_setting_sanitize_all_color_fields',
		'transport'		=> 'refresh',
	) );
	$wp_customize->add_control(
		new WP_Customize_Color_Control(
			$wp_customize,
			'upcp_theme_setting_callout_background_color',
			array(
				'label'		=> __( 'Background Color', 'ultimate-showcase' ),
				'section'	=> 'upcp_theme_setting_callout_section',
				'settings'	=> 'upcp_theme_setting_callout_background_color'
			)
		)
	);

	// CALLOUT TEXT COLOR
	$wp_customize->add_setting( 'upcp_theme_setting_callout_text_color', array(
		'default'		=> '#fff',
		'sanitize_callback' => 'upcp_theme_setting_sanitize_all_color_fields',
		'transport'		=> 'refresh',
	) );
	$wp_customize->add_control(
		new WP_Customize_Color_Control(
			$wp_customize,
			'upcp_theme_setting_callout_text_color',
			array(
				'label'		=> __( 'Text Color', 'ultimate-showcase' ),
				'section'	=> 'upcp_theme_setting_callout_section',
				'settings'	=> 'upcp_theme_setting_callout_text_color'
			)
		)
	);

	/*==============
	END CALLOUT
	==============*/

	/*==============
	START TEXT ON PIC
	==============*/

	// CREATE TEXT ON PIC SECTION
	$wp_customize->add_section(
		'upcp_theme_setting_textonpic_section',
		array(
			'title'     => __( 'Text on Picture', 'ultimate-showcase'),
			'priority'  => 200,
			'panel'			=> 'upcp_theme_setting_homepage_panel'
		)
	);

	// TEXT ON PIC ENABLE
	/*$wp_customize->add_setting( 'upcp_theme_setting_textonpic_enable', array(
		'default'		=> 'yes',
		'sanitize_callback' => 'upcp_theme_setting_sanitize_all_radio_fields',
		'transport'		=> 'refresh',
	) );
	$wp_customize->add_control(
		'upcp_theme_setting_textonpic_enable',
		array(
			'section'	=> 'upcp_theme_setting_textonpic_section',
			'label'		=> __( 'Display Text-on-Picture Area on Homepage', 'ultimate-showcase' ),
			'description' => __('Should the text overlay on a background image area be displayed?', 'ultimate-showcase'),
			'type'    => 'radio',
			'choices'  => array(
				'yes'    => __( 'Yes', 'ultimate-showcase' ),
				'no'   => __( 'No', 'ultimate-showcase' ),
			)
		)
	);*/

	// TEXT ON PIC HEADING TEXT
	$wp_customize->add_setting( 'upcp_theme_setting_textonpic_heading_text', array(
		'default'		=> '',
		'sanitize_callback' => 'upcp_theme_setting_sanitize_all_text_fields',
		'transport'		=> 'refresh',
	) );
	$wp_customize->add_control(
		'upcp_theme_setting_textonpic_heading_text',
		array(
			'section'	=> 'upcp_theme_setting_textonpic_section',
			'label'		=> __( 'Heading Text', 'ultimate-showcase' ),
			'type'    => 'text',
		)
	);

	// TEXT ON PIC SUB-HEADING TEXT
	$wp_customize->add_setting( 'upcp_theme_setting_textonpic_subheading_text', array(
		'default'		=> '',
		'sanitize_callback' => 'upcp_theme_setting_sanitize_all_text_fields',
		'transport'		=> 'refresh',
	) );
	$wp_customize->add_control(
		'upcp_theme_setting_textonpic_subheading_text',
		array(
			'section'	=> 'upcp_theme_setting_textonpic_section',
			'label'		=> __( 'Sub-Heading Text', 'ultimate-showcase' ),
			'type'    => 'text',
		)
	);

	// TEXT ON PIC BUTTON TEXT
	$wp_customize->add_setting( 'upcp_theme_setting_textonpic_button_text', array(
		'default'		=> '',
		'sanitize_callback' => 'upcp_theme_setting_sanitize_all_text_fields',
		'transport'		=> 'refresh',
	) );
	$wp_customize->add_control(
		'upcp_theme_setting_textonpic_button_text',
		array(
			'section'	=> 'upcp_theme_setting_textonpic_section',
			'label'		=> __( 'Button Text', 'ultimate-showcase' ),
			'type'    => 'text',
		)
	);

	// TEXT ON PIC BUTTON LINK
	$wp_customize->add_setting( 'upcp_theme_setting_textonpic_button_link', array(
		'default'		=> '',
		'sanitize_callback' => 'upcp_theme_setting_sanitize_all_url_fields',
		'transport'		=> 'refresh',
	) );
	$wp_customize->add_control(
		'upcp_theme_setting_textonpic_button_link',
		array(
			'section'	=> 'upcp_theme_setting_textonpic_section',
			'label'		=> __( 'Button Link', 'ultimate-showcase' ),
			'type'    => 'text',
		)
	);

	// TEXT ON PIC TEXT COLOR
	$wp_customize->add_setting( 'upcp_theme_setting_textonpic_text_color', array(
		'default'		=> '#fff',
		'sanitize_callback' => 'upcp_theme_setting_sanitize_all_color_fields',
		'transport'		=> 'refresh',
	) );
	$wp_customize->add_control(
		new WP_Customize_Color_Control(
			$wp_customize,
			'upcp_theme_setting_textonpic_text_color',
			array(
				'label'		=> __( 'Text Color', 'ultimate-showcase' ),
				'section'	=> 'upcp_theme_setting_textonpic_section',
				'settings'	=> 'upcp_theme_setting_textonpic_text_color'
			)
		)
	);

	// TEXT ON PIC TEXT BACKGROUND IMAGE
	$wp_customize->add_setting( 'upcp_theme_setting_textonpic_background_image', array(
		'default'		=> '',
		'sanitize_callback' => 'upcp_theme_setting_sanitize_all_url_fields',
		'transport'		=> 'refresh',
	) );
	$wp_customize->add_control(
		new WP_Customize_Image_Control(
			$wp_customize,
			'upcp_theme_setting_textonpic_background_image',
			array(
				'label'      => __( 'Background Image', 'ultimate-showcase' ),
				'section'    => 'upcp_theme_setting_textonpic_section',
				'settings'   => 'upcp_theme_setting_textonpic_background_image',
			)
		)
	);

	// TEXT ON PIC TEXT OVERLAY IMAGE
	$wp_customize->add_setting( 'upcp_theme_setting_textonpic_overlay_image', array(
		'default'		=> '',
		'sanitize_callback' => 'upcp_theme_setting_sanitize_all_url_fields',
		'transport'		=> 'refresh',
	) );
	$wp_customize->add_control(
		new WP_Customize_Image_Control(
			$wp_customize,
			'upcp_theme_setting_textonpic_overlay_image',
			array(
				'label'      => __( 'Overlay Image', 'ultimate-showcase' ),
				'section'    => 'upcp_theme_setting_textonpic_section',
				'settings'   => 'upcp_theme_setting_textonpic_overlay_image',
			)
		)
	);

	/*==============
	END TEXT ON PIC
	==============*/

	/*==============
	START HOMEPAGE GENERAL
	==============*/

	// CREATE HOMEPAGE GENERAL SECTION
	$wp_customize->add_section(
		'upcp_theme_setting_homepage_section',
		array(
			'title'       => __( 'Sections', 'ultimate-showcase'),
			'description' => __( 'The options to customize the Callout and Text-on-Picture areas can be found in the "Callout Area" and "Text on Picture" sections. Use the table below to enable/disable or re-order homepage sections by dragging and dropping them.<br /><br />** If you notice that the Save button above doesn\'t become active after toggling one of the switches below, just drag an element to another position and then back, and the button should then become active.', 'ultimate-showcase'),
			'priority'    => 199,
			'panel'			=> 'upcp_theme_setting_homepage_panel'
		)
	);
	if (class_exists('WP_Customize_Control'))  {
		class WP_Customize_Homepage_Sections extends WP_Customize_Control {
			public $type = 'section_order';

			function render_content() {
				$Sections = get_option("EWD_UST_Homepage_Sections");
				?>
				<table class='sorttable homepage-sections-list'>
				<thead>
					<tr>
						<th>Section</th>
						<th>Visible?</th>
					</tr>
				</thead>
				<tbody>
					<?php foreach ($Sections as $Key => $Section) { ?>
						<tr id="list-item-<?php echo $Section['Name']; ?>" class="list-item" data-section='<?php echo $Section['Name']; ?>'>
							<td><input type='hidden' name='Order[]' value='<?php echo $Key; ?>' data-section='<?php echo $Section['Name']; ?>' /><?php echo $Section['Name']; ?></td>
							<td><label class='switch'><input type='checkbox' name='Visible[]' data-section='<?php echo $Section['Name']; ?>' value='<?php echo $Section['Display']; ?>' <?php if ($Section['Display'] == "Yes") {echo "checked='checked'";} ?>><div class="slider round"></div></label></td>
						</tr>
					<?php } ?>
				</tbody>
				<tfoot>
					<tr>
						<th>Section</th>
						<th>Visible?</th>
					</tr>
				</tfoot>
				</table>

			<?php }
		}
	}
	$wp_customize->add_setting( 'upcp_theme_section_ordering', array(
		'default'		=> 'yes',
		'sanitize_callback' => 'upcp_theme_setting_sanitize_all_text_fields',
		'transport'		=> 'refresh',
	) );
	$wp_customize->add_control( new WP_Customize_Homepage_Sections(
		$wp_customize,
		'upcp_theme_section_ordering',
		array(
			'section'		=> 'upcp_theme_setting_homepage_section',
			'label'			=> __( 'Homepage Sections', 'ultimate-showcase' ),
			'description'	=> __( 'Which sections should display on the homepage, and in what order? (drag and drop to reorder)', 'ultimate-showcase' )
		)
	));

	// SLIDER ENABLE
	/*$wp_customize->add_setting( 'upcp_theme_setting_homepage_slider_enable', array(
		'default'		=> 'yes',
		'sanitize_callback' => 'upcp_theme_setting_sanitize_all_radio_fields',
		'transport'		=> 'refresh',
	) );
	$wp_customize->add_control(
		'upcp_theme_setting_homepage_slider_enable',
		array(
			'section'		=> 'upcp_theme_setting_homepage_section',
			'label'			=> __( 'Display Slider', 'ultimate-showcase' ),
			'description'	=> __( 'Should the slider be displayed on the homepage?', 'ultimate-showcase' ),
			'type'			=> 'radio',
			'choices'		=> array(
				'yes'			=> __( 'Yes', 'ultimate-showcase' ),
				'no'			=> __( 'No', 'ultimate-showcase' ),
			)
		)
	);*/

	// SLIDER STATIC FIRST SLIDE
	/*$wp_customize->add_setting( 'upcp_theme_setting_homepage_slider_static_first', array(
		'default'		=> 'no',
		'sanitize_callback' => 'upcp_theme_setting_sanitize_all_radio_fields',
		'transport'		=> 'refresh',
	) );
	$wp_customize->add_control(
		'upcp_theme_setting_homepage_slider_static_first',
		array(
			'section'		=> 'upcp_theme_setting_homepage_section',
			'label'			=> __( 'Display Static First Slide Only', 'ultimate-showcase' ),
			'description'	=> __( 'Select this option to display your first slide as a static image, with no sliding or animation.', 'ultimate-showcase' ),
			'type'			=> 'radio',
			'choices'		=> array(
				'yes'			=> __( 'Yes', 'ultimate-showcase' ),
				'no'			=> __( 'No', 'ultimate-showcase' ),
			)
		)
	);

	// JUMP BOXES ENABLE
	$wp_customize->add_setting( 'upcp_theme_setting_homepage_jumpboxes_enable', array(
		'default'		=> 'yes',
		'sanitize_callback' => 'upcp_theme_setting_sanitize_all_radio_fields',
		'transport'		=> 'refresh',
	) );
	$wp_customize->add_control(
		'upcp_theme_setting_homepage_jumpboxes_enable',
		array(
			'section'		=> 'upcp_theme_setting_homepage_section',
			'label'			=> __( 'Display Jump Boxes', 'ultimate-showcase' ),
			'description'	=> __( 'Should the jump boxes be displayed on the homepage?', 'ultimate-showcase' ),
			'type'			=> 'radio',
			'choices'		=> array(
				'yes'			=> __( 'Yes', 'ultimate-showcase' ),
				'no'			=> __( 'No', 'ultimate-showcase' ),
			)
		)
	);

	// TESTIMONIALS ENABLE
	$wp_customize->add_setting( 'upcp_theme_setting_homepage_testimonials_enable', array(
		'default'		=> 'yes',
		'sanitize_callback' => 'upcp_theme_setting_sanitize_all_radio_fields',
		'transport'		=> 'refresh',
	) );
	$wp_customize->add_control(
		'upcp_theme_setting_homepage_testimonials_enable',
		array(
			'section'		=> 'upcp_theme_setting_homepage_section',
			'label'			=> __( 'Display Testimonials', 'ultimate-showcase' ),
			'description'	=> __( 'Should the testimonials be displayed on the homepage?', 'ultimate-showcase' ),
			'type'			=> 'radio',
			'choices'		=> array(
				'yes'			=> __( 'Yes', 'ultimate-showcase' ),
				'no'			=> __( 'No', 'ultimate-showcase' ),
			)
		)
	);

	// FEATURED PRODUCTS ENABLE
	$wp_customize->add_setting( 'upcp_theme_setting_homepage_featured_enable', array(
		'default'		=> 'yes',
		'sanitize_callback' => 'upcp_theme_setting_sanitize_all_radio_fields',
		'transport'		=> 'refresh',
	) );
	$wp_customize->add_control(
		'upcp_theme_setting_homepage_featured_enable',
		array(
			'section'		=> 'upcp_theme_setting_homepage_section',
			'label'			=> __( 'Display Featured Products', 'ultimate-showcase' ),
			'description'	=> __( 'Should featured products be displayed on the homepage?', 'ultimate-showcase' ),
			'type'			=> 'radio',
			'choices'		=> array(
				'yes'			=> __( 'Yes', 'ultimate-showcase' ),
				'no'			=> __( 'No', 'ultimate-showcase' ),
			)
		)
	);

	// LATEST PRODUCTS ENABLE
	$wp_customize->add_setting( 'upcp_theme_setting_homepage_latest_enable', array(
		'default'		=> 'yes',
		'sanitize_callback' => 'upcp_theme_setting_sanitize_all_radio_fields',
		'transport'		=> 'refresh',
	) );
	$wp_customize->add_control(
		'upcp_theme_setting_homepage_latest_enable',
		array(
			'section'		=> 'upcp_theme_setting_homepage_section',
			'label'			=> __( 'Display Latest Products', 'ultimate-showcase' ),
			'description'	=> __( 'Should your most recent products be displayed on the homepage?', 'ultimate-showcase' ),
			'type'			=> 'radio',
			'choices'		=> array(
				'yes'			=> __( 'Yes', 'ultimate-showcase' ),
				'no'			=> __( 'No', 'ultimate-showcase' ),
			)
		)
	);

	/*==============
	END HOMEPAGE GENERAL
	==============*/

	/*==============
	START CATALOG URL
	==============*/

	// CREATE CATALOG URL SECTION
	$wp_customize->add_section(
		'upcp_theme_setting_catalog_url',
		array(
			'title'     => __( 'Catalogue URL', 'ultimate-showcase'),
			'priority'  => 1
		)
	);

	// CATALOG URL TEXT
	$wp_customize->add_setting( 'upcp_theme_setting_catalog_url_text', array(
		'default'			=> get_option('EWD_UPCP_Theme_Catalogue_Page_ID'),
		'sanitize_callback' => 'upcp_theme_setting_sanitize_all_url_fields',
		'transport'			=> 'refresh',
	) );
	$wp_customize->add_control(
		'upcp_theme_setting_catalog_url_text',
		array(
			'section'	=> 'upcp_theme_setting_catalog_url',
			'label'		=> __( 'Catalogue URL', 'ultimate-showcase' ),
			'description'		=> __( 'Input here the URL of the page on which you\'ve placed the [product-catalogue id="X"] shortcode. This will ensure correct functionality of the catalogue-specific features.', 'ultimate-showcase' ),
			'type'    	=> 'text',
		)
	);

	/*==============
	END CATALOG URL
	==============*/

	/*==============
	START SEARCH OPTIONS
	==============*/

	// CREATE SEARCH SECTION
	$wp_customize->add_section(
		'upcp_theme_setting_search_section',
		array(
			'title'       => __( 'Search', 'ultimate-showcase'),
			'priority'    => 199,
			'panel'			=> 'upcp_theme_setting_header_panel'
		)
	);

	// SEARCH TYPE
	$wp_customize->add_setting( 'upcp_theme_setting_header_search_type', array(
		'default'		=> 'upcp',
		'sanitize_callback' => 'upcp_theme_setting_sanitize_all_radio_fields',
		'transport'		=> 'refresh',
	) );
	$wp_customize->add_control(
		'upcp_theme_setting_header_search_type',
		array(
			'section'	=> 'upcp_theme_setting_search_section',
			'label'		=> __( 'Search Type', 'ultimate-showcase' ),
			'type'    => 'radio',
			'choices'  => array(
				'upcp'   => __( 'Ultimate Product Catalog', 'ultimate-showcase' ),
				'woocommerce'   => __( 'WooCommerce', 'ultimate-showcase' ),
			)
		)
	);

	// AJAX SEARCH TYPE
	$wp_customize->add_setting( 'upcp_theme_setting_header_ajax_search_type', array(
		'default'		=> 'off',
		'sanitize_callback' => 'upcp_theme_setting_sanitize_all_radio_fields',
		'transport'		=> 'refresh',
	) );
	$wp_customize->add_control(
		'upcp_theme_setting_header_ajax_search_type',
		array(
			'section'	=> 'upcp_theme_setting_search_section',
			'label'		=> __( 'Ajax Search', 'ultimate-showcase' ),
			'type'    => 'radio',
			'choices'  => array(
				'off'   => __( 'Off', 'ultimate-showcase' ),
				'autocomplete'   => __( 'Auto-Complete', 'ultimate-showcase' ),
				'full'   => __( 'Full', 'ultimate-showcase' ),
			)
		)
	);

	/*==============
	END SEARCH OPTIONS
	==============*/

	/*==============
	START CONTACT PAGE
	==============*/

	// CREATE CONTACT PAGE SECTION
	$wp_customize->add_section(
		'upcp_theme_setting_contact_page_section',
		array(
			'title'     => __( 'Contact Page', 'ultimate-showcase'),
			'priority'  => 9,
			'active_callback' => 'upcp_theme_callback_contact_page_template'
		)
	);

	// MAP ENABLE
	$wp_customize->add_setting( 'upcp_theme_setting_map_enable', array(
		'default'		=> 'yes',
		'sanitize_callback' => 'upcp_theme_setting_sanitize_all_radio_fields',
		'transport'		=> 'refresh',
	) );
	$wp_customize->add_control(
		'upcp_theme_setting_map_enable',
		array(
			'section'	=> 'upcp_theme_setting_contact_page_section',
			'label'		=> __( 'Display Google Map', 'ultimate-showcase' ),
			'type'    => 'radio',
			'choices'  => array(
				'yes'    => __( 'Yes', 'ultimate-showcase' ),
				'no'   => __( 'No', 'ultimate-showcase' ),
			)
		)
	);

	// CONTACT PAGE URL
	/*$wp_customize->add_setting( 'upcp_theme_setting_contact_page_url', array(
		'default'			=> '',
		'sanitize_callback' => 'upcp_theme_setting_sanitize_all_url_fields',
		'transport'			=> 'refresh',
	) );
	$wp_customize->add_control(
		'upcp_theme_setting_contact_page_url',
		array(
			'section'		=> 'upcp_theme_setting_address_map_section',
			'label'			=> __( 'Contact Page URL', 'ultimate-showcase' ),
			'description'	=> __( 'Please put the full URL (e.g. http://yourdomain.com/contact/)', 'ultimate-showcase' ),
			'type'    		=> 'text',
		)
	);*/

	// ADDRESS FOR MAP
	$wp_customize->add_setting( 'upcp_theme_setting_address', array(
		'default'			=> '',
		'sanitize_callback' => 'upcp_theme_setting_sanitize_all_textarea_fields',
		'transport'			=> 'refresh',
	) );
	$wp_customize->add_control(
		'upcp_theme_setting_address',
		array(
			'section'	=> 'upcp_theme_setting_contact_page_section',
			'label'		=> __( 'Address for Map', 'ultimate-showcase' ),
			'type'    	=> 'textarea',
		)
	);

	// MAP WIDTH
	$wp_customize->add_setting( 'upcp_theme_setting_map_width', array(
		'default'			=> '',
		'sanitize_callback' => 'upcp_theme_setting_sanitize_all_text_fields',
		'transport'			=> 'refresh',
	) );
	$wp_customize->add_control(
		'upcp_theme_setting_map_width',
		array(
			'section'	=> 'upcp_theme_setting_contact_page_section',
			'label'		=> __( 'Map Width', 'ultimate-showcase' ),
			'type'    	=> 'text',
		)
	);

	// MAP HEIGHT
	$wp_customize->add_setting( 'upcp_theme_setting_map_height', array(
		'default'			=> '400px',
		'sanitize_callback' => 'upcp_theme_setting_sanitize_all_text_fields',
		'transport'			=> 'refresh',
	) );
	$wp_customize->add_control(
		'upcp_theme_setting_map_height',
		array(
			'section'	=> 'upcp_theme_setting_contact_page_section',
			'label'		=> __( 'Map Height', 'ultimate-showcase' ),
			'type'    	=> 'text',
		)
	);

	// CONTACT FORM ENABLE
	$wp_customize->add_setting( 'upcp_theme_setting_contact_form_enable', array(
		'default'		=> 'no',
		'sanitize_callback' => 'upcp_theme_setting_sanitize_all_radio_fields',
		'transport'		=> 'refresh',
	) );
	$wp_customize->add_control(
		'upcp_theme_setting_contact_form_enable',
		array(
			'section'	=> 'upcp_theme_setting_contact_page_section',
			'label'		=> __( 'Display Contact Form', 'ultimate-showcase' ),
			'description'		=> __( 'Requires Contact Form 7 plugin, which must be installed and activated before setting this option to "Yes".', 'ultimate-showcase' ),
			'type'    => 'radio',
			'choices'  => array(
				'yes'    => __( 'Yes', 'ultimate-showcase' ),
				'no'   => __( 'No', 'ultimate-showcase' ),
			)
		)
	);

	/*==============
	END CONTACT PAGE
	==============*/

	/*==============
	START CUSTOM CSS
	==============*/
	/*
	// CREATE CUSTOM CSS SECTION
	$wp_customize->add_section(
		'upcp_theme_setting_custom_css',
		array(
			'title'     => __( 'Custom CSS', 'ultimate-showcase'),
			'priority'  => 200
		)
	);

	// CUSTOM CSS TEXT AREA
	$wp_customize->add_setting( 'upcp_theme_setting_custom_css_textarea', array(
		'default'			=> '',
		'sanitize_callback' => 'upcp_theme_setting_sanitize_all_textarea_fields',
		'transport'			=> 'refresh',
	) );
	$wp_customize->add_control(
		'upcp_theme_setting_custom_css_textarea',
		array(
			'section'	=> 'upcp_theme_setting_custom_css',
			'label'		=> __( 'Custom CSS', 'ultimate-showcase' ),
			'type'    	=> 'textarea',
		)
	);
	*/
	/*==============
	END CUSTOM CSS
	==============*/

	/*==============
	START UTILITY NAV
	==============*/

	// CREATE UTILITY NAV SECTION
	$wp_customize->add_section(
		'upcp_theme_setting_utility_nav_section',
		array(
			'title'       => __( 'Utility Nav', 'ultimate-showcase'),
			'description' => __( 'Dislpay a utility navigation bar above the main menu.', 'ultimate-showcase'),
			'priority'    => 198,
			'panel'			=> 'upcp_theme_setting_header_panel'
		)
	);

	// UTILITY NAV ENABLE
	$wp_customize->add_setting( 'upcp_theme_setting_utility_nav_enable', array(
		'default'		=> 'yes',
		'sanitize_callback' => 'upcp_theme_setting_sanitize_all_radio_fields',
		'transport'		=> 'refresh',
	) );
	$wp_customize->add_control(
		'upcp_theme_setting_utility_nav_enable',
		array(
			'section'	=> 'upcp_theme_setting_utility_nav_section',
			'label'		=> __( 'Enable Utility Nav', 'ultimate-showcase' ),
			'type'    => 'radio',
			'choices'  => array(
				'yes'    => __( 'Yes', 'ultimate-showcase' ),
				'no'   => __( 'No', 'ultimate-showcase' ),
			)
		)
	);

	// PHONE NUMBER
	$wp_customize->add_setting( 'upcp_theme_setting_utility_nav_phone', array(
		'default'			=> '',
		'sanitize_callback' => 'upcp_theme_setting_sanitize_all_text_fields',
		'transport'			=> 'refresh',
	) );
	$wp_customize->add_control(
		'upcp_theme_setting_utility_nav_phone',
		array(
			'section'	=> 'upcp_theme_setting_utility_nav_section',
			'label'		=> __( 'Phone Number', 'ultimate-showcase' ),
			'type'    	=> 'text',
		)
	);

	// EMAIL ADDRESS
	$wp_customize->add_setting( 'upcp_theme_setting_utility_nav_email', array(
		'default'			=> '',
		'sanitize_callback' => 'upcp_theme_setting_sanitize_all_text_fields',
		'transport'			=> 'refresh',
	) );
	$wp_customize->add_control(
		'upcp_theme_setting_utility_nav_email',
		array(
			'section'	=> 'upcp_theme_setting_utility_nav_section',
			'label'		=> __( 'Email Address', 'ultimate-showcase' ),
			'type'    	=> 'text',
		)
	);

	// FACEBOOK
	$wp_customize->add_setting( 'upcp_theme_setting_utility_nav_facebook', array(
		'default'			=> '',
		'sanitize_callback' => 'upcp_theme_setting_sanitize_all_url_fields',
		'transport'			=> 'refresh',
	) );
	$wp_customize->add_control(
		'upcp_theme_setting_utility_nav_facebook',
		array(
			'section'	=> 'upcp_theme_setting_utility_nav_section',
			'label'		=> __( 'Facebook Link', 'ultimate-showcase' ),
			'type'    	=> 'text',
		)
	);

	// TWITTER
	$wp_customize->add_setting( 'upcp_theme_setting_utility_nav_twitter', array(
		'default'			=> '',
		'sanitize_callback' => 'upcp_theme_setting_sanitize_all_url_fields',
		'transport'			=> 'refresh',
	) );
	$wp_customize->add_control(
		'upcp_theme_setting_utility_nav_twitter',
		array(
			'section'	=> 'upcp_theme_setting_utility_nav_section',
			'label'		=> __( 'Twitter Link', 'ultimate-showcase' ),
			'type'    	=> 'text',
		)
	);

	// INSTAGRAM
	$wp_customize->add_setting( 'upcp_theme_setting_utility_nav_instagram', array(
		'default'			=> '',
		'sanitize_callback' => 'upcp_theme_setting_sanitize_all_url_fields',
		'transport'			=> 'refresh',
	) );
	$wp_customize->add_control(
		'upcp_theme_setting_utility_nav_instagram',
		array(
			'section'	=> 'upcp_theme_setting_utility_nav_section',
			'label'		=> __( 'Instagram Link', 'ultimate-showcase' ),
			'type'    	=> 'text',
		)
	);

	// YOUTUBE
	$wp_customize->add_setting( 'upcp_theme_setting_utility_nav_youtube', array(
		'default'			=> '',
		'sanitize_callback' => 'upcp_theme_setting_sanitize_all_url_fields',
		'transport'			=> 'refresh',
	) );
	$wp_customize->add_control(
		'upcp_theme_setting_utility_nav_youtube',
		array(
			'section'	=> 'upcp_theme_setting_utility_nav_section',
			'label'		=> __( 'YouTube Link', 'ultimate-showcase' ),
			'type'    	=> 'text',
		)
	);

	// PINTEREST
	$wp_customize->add_setting( 'upcp_theme_setting_utility_nav_pinterest', array(
		'default'			=> '',
		'sanitize_callback' => 'upcp_theme_setting_sanitize_all_url_fields',
		'transport'			=> 'refresh',
	) );
	$wp_customize->add_control(
		'upcp_theme_setting_utility_nav_pinterest',
		array(
			'section'	=> 'upcp_theme_setting_utility_nav_section',
			'label'		=> __( 'Pinterest Link', 'ultimate-showcase' ),
			'type'    	=> 'text',
		)
	);

	// BACKGROUND COLOR
	$wp_customize->add_setting( 'upcp_theme_setting_utility_nav_background_color', array(
		'default'		=> '#111',
		'sanitize_callback' => 'upcp_theme_setting_sanitize_all_color_fields',
		'transport'		=> 'refresh',
	) );
	$wp_customize->add_control(
		new WP_Customize_Color_Control(
			$wp_customize,
			'upcp_theme_setting_utility_nav_background_color',
			array(
				'label'		=> __( 'Background Color', 'ultimate-showcase' ),
				'section'	=> 'upcp_theme_setting_utility_nav_section',
				'settings'	=> 'upcp_theme_setting_utility_nav_background_color'
			)
		)
	);

	// TEXT COLOR
	$wp_customize->add_setting( 'upcp_theme_setting_utility_nav_text_color', array(
		'default'		=> '#fff',
		'sanitize_callback' => 'upcp_theme_setting_sanitize_all_color_fields',
		'transport'		=> 'refresh',
	) );
	$wp_customize->add_control(
		new WP_Customize_Color_Control(
			$wp_customize,
			'upcp_theme_setting_utility_nav_text_color',
			array(
				'label'		=> __( 'Text Color', 'ultimate-showcase' ),
				'section'	=> 'upcp_theme_setting_utility_nav_section',
				'settings'	=> 'upcp_theme_setting_utility_nav_text_color'
			)
		)
	);

	// SOCIAL ICON COLOR
	$wp_customize->add_setting( 'upcp_theme_setting_utility_nav_social_icon_color', array(
		'default'		=> '#fff',
		'sanitize_callback' => 'upcp_theme_setting_sanitize_all_color_fields',
		'transport'		=> 'refresh',
	) );
	$wp_customize->add_control(
		new WP_Customize_Color_Control(
			$wp_customize,
			'upcp_theme_setting_utility_nav_social_icon_color',
			array(
				'label'		=> __( 'Social Icon Color', 'ultimate-showcase' ),
				'section'	=> 'upcp_theme_setting_utility_nav_section',
				'settings'	=> 'upcp_theme_setting_utility_nav_social_icon_color'
			)
		)
	);

	// SOCIAL ICON HOVER COLOR
	$wp_customize->add_setting( 'upcp_theme_setting_utility_nav_social_icon_hover_color', array(
		'default'		=> '#00AECD',
		'sanitize_callback' => 'upcp_theme_setting_sanitize_all_color_fields',
		'transport'		=> 'refresh',
	) );
	$wp_customize->add_control(
		new WP_Customize_Color_Control(
			$wp_customize,
			'upcp_theme_setting_utility_nav_social_icon_hover_color',
			array(
				'label'		=> __( 'Social Icon Hover Color', 'ultimate-showcase' ),
				'section'	=> 'upcp_theme_setting_utility_nav_section',
				'settings'	=> 'upcp_theme_setting_utility_nav_social_icon_hover_color'
			)
		)
	);

	/*==============
	END UTILITY NAV
	==============*/

	/*==============
	START PROMO BAR
	==============*/

	// CREATE PROMO BAR SECTION
	$wp_customize->add_section(
		'upcp_theme_setting_promo_bar_section',
		array(
			'title'       => __( 'Promo Bar', 'ultimate-showcase'),
			'priority'    => 199,
			'panel'			=> 'upcp_theme_setting_header_panel'
		)
	);

	// PROMO BAR ENABLE
	$wp_customize->add_setting( 'upcp_theme_setting_promo_bar_enable', array(
		'default'		=> 'no',
		'sanitize_callback' => 'upcp_theme_setting_sanitize_all_radio_fields',
		'transport'		=> 'refresh',
	) );
	$wp_customize->add_control(
		'upcp_theme_setting_promo_bar_enable',
		array(
			'section'	=> 'upcp_theme_setting_promo_bar_section',
			'label'		=> __( 'Enable Promo Bar', 'ultimate-showcase' ),
			'type'    => 'radio',
			'choices'  => array(
				'yes'   => __( 'Yes', 'ultimate-showcase' ),
				'no'   => __( 'No', 'ultimate-showcase' ),
			)
		)
	);

	// PROMO BAR HEIGHT
	$wp_customize->add_setting( 'upcp_theme_setting_promo_bar_height', array(
		'default'			=> '56px',
		'sanitize_callback' => 'upcp_theme_setting_sanitize_all_text_fields',
		'transport'			=> 'refresh',
	) );
	$wp_customize->add_control(
		'upcp_theme_setting_promo_bar_height',
		array(
			'section'	=> 'upcp_theme_setting_promo_bar_section',
			'label'		=> __( 'Promo Bar Height', 'ultimate-showcase' ),
			'description'		=> __( 'Specify a height with the unit (e.g. 56px)', 'ultimate-showcase' ),
			'type'    	=> 'text',
		)
	);

	// PROMO TEXT
	$wp_customize->add_setting( 'upcp_theme_setting_promo_bar_text', array(
		'default'			=> '',
		'sanitize_callback' => 'upcp_theme_setting_sanitize_all_text_fields',
		'transport'			=> 'refresh',
	) );
	$wp_customize->add_control(
		'upcp_theme_setting_promo_bar_text',
		array(
			'section'	=> 'upcp_theme_setting_promo_bar_section',
			'label'		=> __( 'Promo Bar Text', 'ultimate-showcase' ),
			'type'    	=> 'text',
		)
	);

	// PROMO TEXT FONT SIZE
	$wp_customize->add_setting( 'upcp_theme_setting_promo_bar_text_size', array(
		'default'			=> '',
		'sanitize_callback' => 'upcp_theme_setting_sanitize_all_text_fields',
		'transport'			=> 'refresh',
	) );
	$wp_customize->add_control(
		'upcp_theme_setting_promo_bar_text_size',
		array(
			'section'	=> 'upcp_theme_setting_promo_bar_section',
			'label'		=> __( 'Promo Bar Text Size', 'ultimate-showcase' ),
			'description'		=> __( 'Specify a font size with the unit (e.g. 16px or 1.5em, etc.)', 'ultimate-showcase' ),
			'type'    	=> 'text',
		)
	);

	// PROMO BAR TEXT COLOR
	$wp_customize->add_setting( 'upcp_theme_setting_promo_bar_text_color', array(
		'default'		=> '#fff',
		'sanitize_callback' => 'upcp_theme_setting_sanitize_all_color_fields',
		'transport'		=> 'refresh',
	) );
	$wp_customize->add_control(
		new WP_Customize_Color_Control(
			$wp_customize,
			'upcp_theme_setting_promo_bar_text_color',
			array(
				'label'		=> __( 'Promo Bar Text Color', 'ultimate-showcase' ),
				'section'	=> 'upcp_theme_setting_promo_bar_section',
				'settings'	=> 'upcp_theme_setting_promo_bar_text_color'
			)
		)
	);

	// PROMO BAR BACKGROUND COLOR
	$wp_customize->add_setting( 'upcp_theme_setting_promo_bar_background_color', array(
		'default'		=> '#c7ace2',
		'sanitize_callback' => 'upcp_theme_setting_sanitize_all_color_fields',
		'transport'		=> 'refresh',
	) );
	$wp_customize->add_control(
		new WP_Customize_Color_Control(
			$wp_customize,
			'upcp_theme_setting_promo_bar_background_color',
			array(
				'label'		=> __( 'Promo Bar Background Color', 'ultimate-showcase' ),
				'section'	=> 'upcp_theme_setting_promo_bar_section',
				'settings'	=> 'upcp_theme_setting_promo_bar_background_color'
			)
		)
	);

	/*==============
	END PROMO BAR
	==============*/

	/*==============
	START HEADER HEIGHT
	==============*/

	// CREATE HEADER HEIGHT SECTION
	$wp_customize->add_section(
		'upcp_theme_setting_header_height_section',
		array(
			'title'       => __( 'Header Height', 'ultimate-showcase'),
			'priority'    => 99,
			'panel'			=> 'upcp_theme_setting_header_panel'
		)
	);

	// HEADER HEIGHT
	$wp_customize->add_setting( 'upcp_theme_setting_header_height', array(
		'default'			=> '80',
		'sanitize_callback' => 'upcp_theme_setting_sanitize_all_text_fields',
		'transport'			=> 'refresh',
	) );
	$wp_customize->add_control(
		'upcp_theme_setting_header_height',
		array(
			'section'	=> 'upcp_theme_setting_header_height_section',
			'label'		=> __( 'Header Height', 'ultimate-showcase' ),
			'description'		=> __( 'Specify a height for the header (the part with the logo and menu, not including the promo bar or utility nav.)<br/><br/>Set the height in pixels, but don\'t include the unit (i.e. "px").', 'ultimate-showcase' ),
			'type'    	=> 'text',
		)
	);

	/*==============
	END HEADER HEIGHT
	==============*/

	/*==============
	START BREADCRUMBS
	==============*/

	// CREATE BREADCRUMBS SECTION
	$wp_customize->add_section(
		'upcp_theme_setting_breadcrumbs_section',
		array(
			'title'       => __( 'Breadcrumbs', 'ultimate-showcase'),
			'priority'    => 199,
			'panel'			=> 'upcp_theme_setting_header_panel'
		)
	);

	// BREADCRUMBS ENABLE
	$wp_customize->add_setting( 'upcp_theme_setting_breadcrumbs_enable', array(
		'default'		=> 'yes',
		'sanitize_callback' => 'upcp_theme_setting_sanitize_all_radio_fields',
		'transport'		=> 'refresh',
	) );
	$wp_customize->add_control(
		'upcp_theme_setting_breadcrumbs_enable',
		array(
			'section'	=> 'upcp_theme_setting_breadcrumbs_section',
			'label'		=> __( 'Enable Breadcrumbs', 'ultimate-showcase' ),
			'type'    => 'radio',
			'choices'  => array(
				'yes'    => __( 'Yes', 'ultimate-showcase' ),
				'no'   => __( 'No', 'ultimate-showcase' ),
			)
		)
	);

	// YOAST BREADCRUMBS ENABLE
	$wp_customize->add_setting( 'upcp_theme_setting_breadcrumbs_yoast_enable', array(
		'default'		=> 'no',
		'sanitize_callback' => 'upcp_theme_setting_sanitize_all_radio_fields',
		'transport'		=> 'refresh',
	) );
	$wp_customize->add_control(
		'upcp_theme_setting_breadcrumbs_yoast_enable',
		array(
			'section'	=> 'upcp_theme_setting_breadcrumbs_section',
			'label'		=> __( 'Enable Yoast Breadcrumbs', 'ultimate-showcase' ),
			'description' => __( 'Enabling Yoast breadcrumbs allows you to make use of Yoast\'s breadcrumbs feature, in place of the one that comes with the theme. Yoast offers various options that allow you to customize your breadcrumbs functionality. (Note: To use this setting, you must first have the Yoast SEO plugin installed and activated, and have breadcrumbs enabled in Yoast.)', 'ultimate-showcase'),
			'type'    => 'radio',
			'choices'  => array(
				'yes'    => __( 'Yes', 'ultimate-showcase' ),
				'no'   => __( 'No', 'ultimate-showcase' ),
			)
		)
	);

	// BREADCRUMBS TEXT
	$wp_customize->add_setting( 'upcp_theme_setting_page_breadcrumbs_home_text', array(
		'default'			=> 'Home',
		'sanitize_callback' => 'upcp_theme_setting_sanitize_all_text_fields',
		'transport'			=> 'refresh',
	) );
	$wp_customize->add_control(
		'upcp_theme_setting_page_breadcrumbs_home_text',
		array(
			'section'	=> 'upcp_theme_setting_breadcrumbs_section',
			'label'		=> __( '"Home" Text', 'ultimate-showcase' ),
			'description'		=> __( 'This is for the standard breadcrumbs. If Yoast breadcrumbs are enabled, then you\'d configure this in Yoast\'s settings.', 'ultimate-showcase' ),
			'type'    	=> 'text',
		)
	);

	// BREADCRUMBS COLOR
	$wp_customize->add_setting( 'upcp_theme_setting_page_breadcrumbs_color', array(
		'default'		=> '#fff',
		'sanitize_callback' => 'upcp_theme_setting_sanitize_all_color_fields',
		'transport'		=> 'refresh',
	) );
	$wp_customize->add_control(
		new WP_Customize_Color_Control(
			$wp_customize,
			'upcp_theme_setting_page_breadcrumbs_color',
			array(
				'label'		=> __( 'Breadcrumbs Color', 'ultimate-showcase' ),
				'section'	=> 'upcp_theme_setting_breadcrumbs_section',
				'settings'	=> 'upcp_theme_setting_page_breadcrumbs_color'
			)
		)
	);

	/*==============
	END BREADCRUMBS
	==============*/

	/*==============
	START PAGES
	==============*/

	// CREATE PAGES SECTION
	$wp_customize->add_section(
		'upcp_theme_setting_pages_section',
		array(
			'title'       => __( 'Pages', 'ultimate-showcase'),
			'priority'    => 11,
		)
	);

	// PAGE LAYOUT
	$wp_customize->add_setting( 'upcp_theme_setting_page_layout', array(
		'default'		=> 'default',
		'sanitize_callback' => 'upcp_theme_setting_sanitize_all_radio_fields',
		'transport'		=> 'refresh',
	) );
	$wp_customize->add_control(
		'upcp_theme_setting_page_layout',
		array(
			'section'	=> 'upcp_theme_setting_pages_section',
			'label'		=> __( 'Page Layout', 'ultimate-showcase' ),
			'type'    => 'radio',
			'choices'  => array(
				'default'    => __( 'Default', 'ultimate-showcase' ),
				'banner_image'   => __( 'Banner Image', 'ultimate-showcase' ),
				'minimalist'   => __( 'Minimalist', 'ultimate-showcase' ),
			)
		)
	);

	/*==============
	END PAGES
	==============*/

	/*==============
	START BLOG
	==============*/

	// CREATE BLOG SECTION
	$wp_customize->add_section(
		'upcp_theme_setting_blog_section',
		array(
			'title'       => __( 'Blog and Archives', 'ultimate-showcase'),
			'priority'    => 11,
		)
	);

	// BLOG LAYOUT
	$wp_customize->add_setting( 'upcp_theme_setting_blog_layout', array(
		'default'		=> 'default',
		'sanitize_callback' => 'upcp_theme_setting_sanitize_all_radio_fields',
		'transport'		=> 'refresh',
	) );
	$wp_customize->add_control(
		'upcp_theme_setting_blog_layout',
		array(
			'section'	=> 'upcp_theme_setting_blog_section',
			'label'		=> __( 'Blog Layout', 'ultimate-showcase' ),
			'description'		=> __( 'Choose which layout to use for the blog homepage and archive pages.', 'ultimate-showcase' ),
			'type'    => 'radio',
			'choices'  => array(
				'default'    => __( 'Default', 'ultimate-showcase' ),
				'thumbnail'   => __( 'Thumbnail', 'ultimate-showcase' ),
				'image'   => __( 'Image', 'ultimate-showcase' ),
			)
		)
	);

	// BLOG SIDEBAR
	$wp_customize->add_setting( 'upcp_theme_setting_blog_sidebar', array(
		'default'		=> 'yes',
		'sanitize_callback' => 'upcp_theme_setting_sanitize_all_radio_fields',
		'transport'		=> 'refresh',
	) );
	$wp_customize->add_control(
		'upcp_theme_setting_blog_sidebar',
		array(
			'section'	=> 'upcp_theme_setting_blog_section',
			'label'		=> __( 'Blog Sidebar', 'ultimate-showcase' ),
			'description'		=> __( 'Choose whether or not to display the "Blog" sidebar on blog and archive pages.', 'ultimate-showcase' ),
			'type'    => 'radio',
			'choices'  => array(
				'yes'   => __( 'Yes', 'ultimate-showcase' ),
				'no'   => __( 'No', 'ultimate-showcase' ),
			)
		)
	);

	// BLOG READ MORE BUTTON COLOR
	$wp_customize->add_setting( 'upcp_theme_setting_blog_read_more_button_color', array(
		'default'		=> '#34ADCF',
		'sanitize_callback' => 'upcp_theme_setting_sanitize_all_color_fields',
		'transport'		=> 'refresh',
	) );
	$wp_customize->add_control(
		new WP_Customize_Color_Control(
			$wp_customize,
			'upcp_theme_setting_blog_read_more_button_color',
			array(
				'label'		=> __( 'Read More Button Color', 'ultimate-showcase' ),
				'section'	=> 'upcp_theme_setting_blog_section',
				'settings'	=> 'upcp_theme_setting_blog_read_more_button_color'
			)
		)
	);

	/*==============
	END BLOG
	==============*/

} // END upcp_theme_customize_register FUNCTION
add_action( 'customize_register', 'upcp_theme_customize_register' );


function upcp_theme_customizer_css(){
	$fontMain = get_theme_mod( 'upcp_theme_setting_font_main', '' );
	$fontHeadings = get_theme_mod( 'upcp_theme_setting_font_heading', '' );
	$fontMenu = get_theme_mod( 'upcp_theme_setting_font_menu', '' );
	$disableAutoCapitalization = get_theme_mod( 'upcp_theme_setting_font_capitalize_headings', 'no' );

	echo "<style type='text/css'>";
		$usCustomizerCSS = "";
		$usCustomizerCSS .= "body { color: " . get_theme_mod( 'upcp_theme_setting_text_color' ) . "; }";
		$usCustomizerCSS .= "a { color: " . get_theme_mod( 'upcp_theme_setting_link_color' ) . "; }";
		$usCustomizerCSS .= "#header { background: " . get_theme_mod( 'upcp_theme_setting_header_background_color' ) . "; }";
		$usCustomizerCSS .= "#menu ul li a { color: " . get_theme_mod( 'upcp_theme_setting_menu_text_color' ) . "; }";
		$usCustomizerCSS .= "#header input { color: " . get_theme_mod( 'upcp_theme_setting_menu_text_color' ) . "; border-color: " . get_theme_mod( 'upcp_theme_setting_menu_text_color' ) . "; }";
		$usCustomizerCSS .= "#header input::-webkit-input-placeholder { color: " . get_theme_mod( 'upcp_theme_setting_menu_text_color' ) . "; }";
		$usCustomizerCSS .= "#header input:-moz-placeholder { color: " . get_theme_mod( 'upcp_theme_setting_menu_text_color' ) . "; }";
		$usCustomizerCSS .= "#header input::-moz-placeholder { color: " . get_theme_mod( 'upcp_theme_setting_menu_text_color' ) . "; }";
		$usCustomizerCSS .= "#header input:-ms-input-placeholder { color: " . get_theme_mod( 'upcp_theme_setting_menu_text_color' ) . "; }";
		$usCustomizerCSS .= "#menu ul li a:hover { color: " . get_theme_mod( 'upcp_theme_setting_menu_text_hover_color' ) . "; border-bottom-color: " . get_theme_mod( 'upcp_theme_setting_menu_text_hover_color' ) . "; }";
		$usCustomizerCSS .= "#header input:hover { background: " . get_theme_mod( 'upcp_theme_setting_menu_text_hover_color' ) . "; border-color: " . get_theme_mod( 'upcp_theme_setting_menu_text_hover_color' ) . "; }";
		$usCustomizerCSS .= "#menu ul li ul { background: " . get_theme_mod( 'upcp_theme_setting_menu_dropdown_background_color' ) . "; }";
		$usCustomizerCSS .= "/*#menu ul li ul { border-color: " . get_theme_mod( 'upcp_theme_setting_menu_dropdown_background_color' ) . "; }*/";
		$usCustomizerCSS .= "#menu ul li ul li a:hover { background: " . get_theme_mod( 'upcp_theme_setting_menu_dropdown_background_hover_color' ) . "; }";
		$usCustomizerCSS .= "#menu ul li ul li a { color: " . get_theme_mod( 'upcp_theme_setting_menu_dropdown_text_color' ) . "; }";
		$usCustomizerCSS .= "#menu ul li ul li a:hover { color: " . get_theme_mod( 'upcp_theme_setting_menu_dropdown_text_hover_color' ) . "; }";
		$usCustomizerCSS .= "#logo { height: " . get_theme_mod( 'upcp_theme_setting_logo_height', '24px' ) . "; margin-top: " . get_theme_mod( 'upcp_theme_setting_logo_top_margin', '28px' ) . "; }";
		$usCustomizerCSS .= ".singlePage .titleArea { background-color: " . get_theme_mod( 'upcp_theme_setting_page_title_bar_background_color' ) . "; }";
		$usCustomizerCSS .= ".singlePage .titleArea h1 { color: " . get_theme_mod( 'upcp_theme_setting_page_title_bar_text_color' ) . "; }";
		$usCustomizerCSS .= ".singlePage .titleArea .ewdBreadcrumbs, .singlePage .titleArea .ewdBreadcrumbs a { color: " . get_theme_mod( 'upcp_theme_setting_page_breadcrumbs_color' ) . "; }";
		$usCustomizerCSS .= ".singlePage .titleBannerImage { background-color: " . get_theme_mod( 'upcp_theme_setting_page_title_bar_background_color' ) . "; }";
		$usCustomizerCSS .= ".singlePage .titleBannerImage h1 { color: " . get_theme_mod( 'upcp_theme_setting_page_title_bar_text_color' ) . "; }";
		$usCustomizerCSS .= ".singlePage .titleBannerImage .ewdBreadcrumbs, .singlePage .titleBannerImage .ewdBreadcrumbs a { color: " . get_theme_mod( 'upcp_theme_setting_page_breadcrumbs_color' ) . "; }";
		$usCustomizerCSS .= ".singlePage .minimalistTitleArea h1 { color: " . get_theme_mod( 'upcp_theme_setting_page_title_bar_text_color' ) . "; }";
		$usCustomizerCSS .= ".singlePage .minimalistTitleArea .ewdBreadcrumbs, .singlePage .minimalistTitleArea .ewdBreadcrumbs a { color: " . get_theme_mod( 'upcp_theme_setting_page_breadcrumbs_color' ) . "; }";
		$usCustomizerCSS .= "#utilityNav { background: " . get_theme_mod( 'upcp_theme_setting_utility_nav_background_color' ) . "; }";
		$usCustomizerCSS .= "#utilityNav #utilityAd, #utilityNav #utilityAd .fa, #utilityNav #utilityAd a, #utilityNav #utilityAd a .fa { color: " . get_theme_mod( 'upcp_theme_setting_utility_nav_text_color' ) . "; }";
		$usCustomizerCSS .= "#utilityNav #utilitySocial a .fa { color: " . get_theme_mod( 'upcp_theme_setting_utility_nav_social_icon_color' ) . "; }";
		$usCustomizerCSS .= "#utilityNav #utilitySocial a:hover .fa { color: " . get_theme_mod( 'upcp_theme_setting_utility_nav_social_icon_hover_color' ) . "; }";
		$usCustomizerCSS .= ".excerptReadMore { background: " . get_theme_mod( 'upcp_theme_setting_blog_read_more_button_color' ) . "; border-color: " . get_theme_mod( 'upcp_theme_setting_blog_read_more_button_color' ) . "; }";
		$usCustomizerCSS .= ".excerptReadMore:hover { color: " . get_theme_mod( 'upcp_theme_setting_blog_read_more_button_color' ) . "; }";
		$usCustomizerCSS .= ".testimonials ul li .testimonialQuote { color: " . get_theme_mod( 'upcp_theme_setting_testimonial_quote_color' ) . "; }";
		$usCustomizerCSS .= ".panel#footer { background-color: " . get_theme_mod( 'upcp_theme_setting_footer_background_color' ) . "; }";
		$usCustomizerCSS .= ".panel#footer, .panel#footer a, .panel#footer .widgetBox ul, .panel#footer .widgetBox ul li a, .panel#footer .widgetBox .testimonials ul li .testimonialText .testimonialAuthor span, .panel#footer h1, .panel#footer h2, .panel#footer h3, .panel#footer h4, .panel#footer h5, .panel#footer h6, .panel#footer h1 a, .panel#footer h2 a, .panel#footer h3 a, .panel#footer h4 a, .panel#footer h5 a, .panel#footer h6 a { color: " . get_theme_mod( 'upcp_theme_setting_footer_text_color' ) . "; }";
		$usCustomizerCSS .= "#copyrightPanel { background-color: " . get_theme_mod( 'upcp_theme_setting_copyright_background_color' ) . "; }";
		$usCustomizerCSS .= ".copyright { color: " . get_theme_mod( 'upcp_theme_setting_copyright_text_color' ) . "; }";
		$usCustomizerCSS .= "#promoBar { background-color: " . get_theme_mod( 'upcp_theme_setting_promo_bar_background_color' ) . "; color: " . get_theme_mod( 'upcp_theme_setting_promo_bar_text_color' ) . "; font-size: " . get_theme_mod( 'upcp_theme_setting_promo_bar_text_size' ) . "; }";
		$usCustomizerCSS .= "#promoBarInside { height: " . get_theme_mod( 'upcp_theme_setting_promo_bar_height', '56px' ) . "; }";
		$usCustomizerCSS .= "#header, #mainHeader { height: " . get_theme_mod( 'upcp_theme_setting_header_height', '80' ) . "px; }";
		$usCustomizerCSS .= "#header.headerWithUtilityNav { height: " . ( get_theme_mod( 'upcp_theme_setting_header_height', '80' ) + 36 ). "px; }";
		$usCustomizerCSS .= "#header.headerWithPromoBar { height: " . ( get_theme_mod( 'upcp_theme_setting_header_height', '80' ) + 56 ). "px; }";
		$usCustomizerCSS .= "#header.headerWithUtilityNavAndPromoBar { height: " . ( get_theme_mod( 'upcp_theme_setting_header_height', '80' ) + 92 ). "px; }";
		$usCustomizerCSS .= "#mobileMenu { top: " . ( get_theme_mod( 'upcp_theme_setting_header_height', '80' ) + 1 ). "px; }";
		$usCustomizerCSS .= "#mobileMenu.headerUtilityNavClear { top: " . ( get_theme_mod( 'upcp_theme_setting_header_height', '80' ) + 37 ). "px; }";
		$usCustomizerCSS .= "#mobileMenu.headerAdminBarClear { top: " . ( get_theme_mod( 'upcp_theme_setting_header_height', '80' ) + 47 ). "px; }";
		$usCustomizerCSS .= "#mobileMenu.headerAdminBarAndUtilityNavClear { top: " . ( get_theme_mod( 'upcp_theme_setting_header_height', '80' ) + 83 ). "px; }";
		$usCustomizerCSS .= "#mobileMenu.headerPromoBarClear { top: " . ( get_theme_mod( 'upcp_theme_setting_header_height', '80' ) + 57 ). "px; }";
		$usCustomizerCSS .= "#mobileMenu.headerAdminBarAndPromoBarClear { top: " . ( get_theme_mod( 'upcp_theme_setting_header_height', '80' ) + 103 ). "px; }";
		$usCustomizerCSS .= "#mobileMenu.headerUtilityNavAndPromoBarClear { top: " . ( get_theme_mod( 'upcp_theme_setting_header_height', '80' ) + 93 ). "px; }";
		$usCustomizerCSS .= "#mobileMenu.headerAdminBarAndUtilityNavAndPromoBarClear { top: " . ( get_theme_mod( 'upcp_theme_setting_header_height', '80' ) + 139 ). "px; }";
		if($fontMain != ''){
			$usCustomizerCSS .= "body { font-family: " . $fontMain . "; }";
		}
		if($fontHeadings != ''){
			$usCustomizerCSS .= "h1, h2, h3, h4, h5, h6, h1 a, h2 a, h3 a, h4 a, h5 a, h6 a { font-family: " . $fontHeadings . "; }";
		}
		if($fontMenu != ''){
			$usCustomizerCSS .= "#menu ul li a, #header input { font-family: " . $fontMenu . "; }";
		}
		if($disableAutoCapitalization == 'yes'){
			$usCustomizerCSS .= "h1, h2, h3, h4, h5, h6, h1 a, h2 a, h3 a, h4 a, h5 a, h6 a, input, textarea, select, option, #menu ul li a, #header input, #mobileMenu ul li a, .featuredProds ul li .prodInfo .prodTitle, .postComments ol.commentlist li .reply { text-transform: none; }";
		}
		echo esc_attr($usCustomizerCSS);
	echo "</style>";
}
add_action( 'wp_head', 'upcp_theme_customizer_css' );

function upcp_theme_setting_sanitize_all_text_fields($input){
	return sanitize_text_field($input);
}
function upcp_theme_setting_sanitize_all_textarea_fields($input){
	return sanitize_textarea_field($input);
}
function upcp_theme_setting_sanitize_all_color_fields($input){
	return sanitize_hex_color($input);
}
function upcp_theme_setting_sanitize_all_url_fields($input){
	return esc_url_raw($input);
}
function upcp_theme_setting_sanitize_all_radio_fields($input, $setting){
	$input = sanitize_key($input);
	$choices = $setting->manager->get_control($setting->id)->choices;
	return ( array_key_exists($input, $choices) ? $input : $setting->default );
}




/*
=====================================================================
SET THEME OPTIONS ON ACTIVATION
=====================================================================
*/

if (isset($_GET['activated']) && is_admin()){
	if (get_option("EWD_UST_Homepage_Sections") == "") {update_option("EWD_UST_Homepage_Sections", EWD_UST_Get_Homepage_Default_Sections());}
}

function EWD_UST_Get_Homepage_Default_Sections() {
	$Sections = array(
		array(
			'Name' => 'Slider',
			'Display' => 'Yes'
			),
		array(
			'Name' => 'Static Slide',
			'Display' => 'No'
			),
		array(
			'Name' => 'Jump Boxes',
			'Display' => 'Yes'
			),
		array(
			'Name' => 'Testimonials',
			'Display' => 'Yes'
			),
		array(
			'Name' => 'Callout Area',
			'Display' => 'Yes'
			),
		array(
			'Name' => 'Featured Products',
			'Display' => 'Yes'
			),
		array(
			'Name' => 'Text on Picture',
			'Display' => 'Yes'
			)
		);

	return $Sections;
}



/*
=====================================================================
Extras
=====================================================================
*/

if (isset($_GET['activated']) && is_admin()){
	update_option("EWD_UST_Theme_Install", time());
}
if (isset($_GET['activated']) && is_admin()){
	if (get_option("EWD_UST_Theme_Install") == "") {
		update_option("EWD_UST_Theme_Install", time());

		$Admin_Email = get_option('admin_email');
		$opts = array('http'=>array('method'=>"GET"));
		$context = stream_context_create($opts);
		$Response = unserialize(file_get_contents("http://www.etoilewebdesign.com/UPCP-Key-Check/Register_Trial.php?Plugin=UST&Admin_Email=" . $Admin_Email . "&Site=" . get_bloginfo('wpurl'), false, $context));
	}
}

function upcp_theme_do_extras(){
	if(get_option("EWD_UST_Theme_Install")+24*3600*7 < time()){exit();}
}



/*
=====================================================================
ENQUEUE CUSTOMIZER JS
=====================================================================
*/

function EWD_UST_Customizer_JS() {
    wp_enqueue_script('jquery-ui-core');
    wp_enqueue_script('jquery-ui-sortable');
    wp_enqueue_script( 'ust-customizer-js', get_template_directory_uri() . '/js/customizer.js', array( 'jquery', 'jquery-ui-sortable' ));

    wp_enqueue_style( 'ust-customizer-css', get_template_directory_uri() . '/css/customizer.css');
}
//add_action( 'customize_preview_init', 'onepress_customize_preview_js', 65 );
add_action( 'customize_controls_enqueue_scripts', 'EWD_UST_Customizer_JS' );

/*
=====================================================================
DO CUSTOMIZER AJAX
=====================================================================
*/

function EWD_UST_Save_Homepage_Sections() {
	$Section_Array = json_decode(stripslashes($_POST['data']));
	if (!is_array($Section_Array)) {die();}

	foreach ($Section_Array as $Order => $Section) {
		$Save_Section[$Order]['Name'] = $Section[0];
		$Save_Section[$Order]['Display'] = $Section[1];
	}

	update_option("EWD_UST_Homepage_Sections" , $Save_Section);
	die();
}
add_action('wp_ajax_ust_update_homepage_section', 'EWD_UST_Save_Homepage_Sections');

/*
======================================================================
DO SAVE ACTIONS
======================================================================
*/
function EWD_UST_Check_Create_Contact_Form() {
	$contactFormEnable = get_theme_mod( 'upcp_theme_setting_contact_form_enable', 'no' );

	if ($contactFormEnable == "yes") {
		$plugin = "contact-form-7/wp-contact-form-7.php";
		include_once( ABSPATH . 'wp-admin/includes/plugin.php' );
		$CF_7_Installed = is_plugin_active($plugin);

		if ($CF_7_Installed) {
			$UST_Contact_Form = get_page_by_path('ewd-ust-contact-form', OBJECT, 'wpcf7_contact_form');

			if (!$UST_Contact_Form) {
				EWD_UST_Create_Contact_Form();
			}
		}
	}
}
add_action('customize_save_after', 'EWD_UST_Check_Create_Contact_Form');
