<?php
/* Template Name: Homepage */
get_header();
$Sections = get_option("EWD_UST_Homepage_Sections");

$featuredProdsEnable = get_theme_mod( 'upcp_theme_setting_homepage_featured_enable', 'yes' );
$latestProdsEnable = get_theme_mod( 'upcp_theme_setting_homepage_latest_enable', 'yes' );

$CatalogUrlDefault = get_option('EWD_UPCP_Theme_Catalogue_Page_ID');
$CatalogUrl = get_theme_mod( 'upcp_theme_setting_catalog_url_text', $CatalogUrlDefault );

$Carousel = get_option("EWD_US_Carousel");
$Sections = get_option("EWD_UST_Homepage_Sections");

?>

<style>
	<?php
	$pageHomeCSS = "";
	$pageHomeCSS .= ".textOnPic .innerText .innerTextTitle { color: " . get_theme_mod( 'upcp_theme_setting_textonpic_text_color' ) . "; }";
	$pageHomeCSS .= ".textOnPic .innerText .innerTextExcerpt { color: " . get_theme_mod( 'upcp_theme_setting_textonpic_text_color' ) . "; }";
	$pageHomeCSS .= ".textOnPic { background: url(" . get_theme_mod( 'upcp_theme_setting_textonpic_background_image' ) . "); }";
	if($featuredProdsEnable != 'yes' && $latestProdsEnable == 'yes'){
		$pageHomeCSS .= "#homeLatestProds { display: block; }";
		$pageHomeCSS .= "#featuredLatestSelectors { color: #111; }";
	}
	if( ($featuredProdsEnable == 'yes' && $latestProdsEnable != 'yes') || ($featuredProdsEnable != 'yes' && $latestProdsEnable == 'yes') ){
		$pageHomeCSS .= "#featuredProdSelector, #latestProdSelector { cursor: default; }";
		$pageHomeCSS .= ".prodSelectorActive { border-bottom: none; color: #111; }";
	}
	echo esc_attr($pageHomeCSS);
	?>
</style>

		<?php upcp_theme_do_extras(); ?>

		<?php
		foreach ($Sections as $Section) {
			if ($Section['Name'] == "Slider" and $Section['Display'] == "Yes") {echo EWD_UST_Insert_Slider("Dynamic");}
			elseif ($Section['Name'] == "Static Slide" and $Section['Display'] == "Yes") {echo EWD_UST_Insert_Slider("Static");}
			elseif ($Section['Name'] == "Jump Boxes" and $Section['Display'] == "Yes") {echo EWD_UST_Insert_Jump_Boxes();}
			elseif ($Section['Name'] == "Testimonials" and $Section['Display'] == "Yes") {echo EWD_UST_Insert_Testimonials();}
			elseif ($Section['Name'] == "Callout Area" and $Section['Display'] == "Yes") {echo EWS_UST_Insert_Callout();}
			elseif ($Section['Name'] == "Featured Products" and $Section['Display'] == "Yes") {echo EWD_UST_Insert_Products();}
			elseif ($Section['Name'] == "Text on Picture" and $Section['Display'] == "Yes") {echo EWD_UST_Insert_Text_On_Pic();}

			echo '<div class="clear"></div>';
		}
		?>


<?php
function EWD_UST_Insert_Slider($Type) {
	$utilityNavEnable = get_theme_mod('upcp_theme_setting_utility_nav_enable', 'yes');
	$promoBar = get_theme_mod('upcp_theme_setting_promo_bar_enable', 'no');
	if($utilityNavEnable == 'yes' && $promoBar == 'no'){
		$Slider .= '<div id="sliderMenuClearWithUtilityNav"></div>';
	}
	elseif($utilityNavEnable == 'no' && $promoBar == 'yes'){
		$Slider .= '<div id="sliderMenuClearWithPromoBar"></div>';
	}
	elseif($utilityNavEnable == 'yes' && $promoBar == 'yes'){
		$Slider .= '<div id="sliderMenuClearWithUtilityNavAndPromoBar"></div>';
	}
	else{
		$Slider .= '<div id="sliderMenuClear"></div>';
	}
	$Options = array('posts' => 4);
	if ($Type == "Static") {$Options['static'] = 'Yes';}
	$Slider .= EWD_US_Display_Slider($Options);

	return $Slider;
}
function EWD_UST_Insert_Jump_Boxes() {
	$Jump_Boxes = '<section class="panel">';
	$Jump_Boxes .= '<div class="wrapper">';
	$Jump_Boxes .= '<div class="container centerText ' . (get_theme_mod( 'upcp_theme_setting_homepage_slider_enable' ) == 'no' ? ' homeContentNoSlider' : '') . '">';
	if ( have_posts() ) : while ( have_posts() ) : the_post();
		$Jump_Boxes .= '<h1>' . get_the_title() . '</h1>';
		$Jump_Boxes .= '<p class="tagline">' . get_the_content() . '</p>';
	endwhile; else:
		$Jump_Boxes .= '<p>' . _e('Sorry, but it seems that a homepage hasn\'t been created.', 'ultimate-showcase') . '</p>';
	endif;
	$Jump_Boxes .= '<hr class="starHR" />';
	$Jump_Boxes .= upcp_theme_jumpbox_shortcode(
			array(
				'posts' => 3,
			)
		);
	$Jump_Boxes .= '</div>';
	$Jump_Boxes .= '</div>';
	$Jump_Boxes .= '</section>';

	return $Jump_Boxes;
}

function EWD_UST_Insert_Products() {
	global $wpdb, $items_table_name;

	$CatalogUrlDefault = get_option('EWD_UPCP_Theme_Catalogue_Page_ID');
	$CatalogUrl = get_theme_mod( 'upcp_theme_setting_catalog_url_text', $CatalogUrlDefault );

	$Featured_Products = get_option("EWD_UPCP_Theme_Featured_Products");
	$featuredProdsEnable = get_theme_mod( 'upcp_theme_setting_homepage_featured_enable', 'yes' );
	$latestProdsEnable = get_theme_mod( 'upcp_theme_setting_homepage_latest_enable', 'yes' );

	if (get_option("EWD_UPCP_Theme_Featured_Products_Label") == "") {$Featured_Products_Label = __("Featured Products", "ultimate-showcase");}
	else {$Featured_Products_Label = get_option("EWD_UPCP_Theme_Featured_Products_Label");}
	if (get_option("EWD_UPCP_Theme_Latest_Products_Label") == "") {$Latest_Products_Label = __("Latest Products", "ultimate-showcase");}
	else {$Latest_Products_Label = get_option("EWD_UPCP_Theme_Latest_Products_Label");}
	if (get_option("EWD_UPCP_Theme_Full_Catalog_Label") == "") {$Full_Catalog_Label = __("FULL CATALOG", "ultimate-showcase");}
	else {$Full_Catalog_Label = get_option("EWD_UPCP_Theme_Full_Catalog_Label");}

	$Products = '<section class="panel grayPanel">';
	$Products .= '<div class="wrapper">';
	$Products .= '<div class="container">';
	$Products .= '<h2 class="centerText" id="featuredLatestSelectors">';
	if ($featuredProdsEnable == 'yes') {$Products .= '<span id="featuredProdSelector" class="prodSelectorActive">' . esc_html($Featured_Products_Label) . '</span>';}
	if ($featuredProdsEnable == 'yes' && $latestProdsEnable == 'yes') {$Products .= '&nbsp;&nbsp;/&nbsp;&nbsp';}
	if ($latestProdsEnable == 'yes') {$Products .= '<span id="latestProdSelector">' . esc_html($Latest_Products_Label) . '</span>';}
	$Products .= '</h2>';
	if ($featuredProdsEnable == 'yes') {
		$Products .= '<section class="featuredProds" id="homeFeaturedProds">';
		$Products .= '<ul class="fourCols">';
		if (!is_array($Featured_Products)) {$Featured_Products = array();}
		if (class_exists('UPCP_Product')) {
			foreach ($Featured_Products as $Featured_Product) {
				$Product = new UPCP_Product(array('ID' => $Featured_Product['ProductID']));
				$Product_Link = $Product->Get_Permalink($CatalogUrl);
				$Products .= "<li>";
				$Products .= "<img src='" . esc_url($Product->Get_Field_Value('Item_Photo_URL')) . "' alt='" . $Product->Get_Product_Name() . "' />";
				$Products .= "<a href='" . esc_url($Product_Link) . "' class='proLink'>";
				$Products .= "<div class='prodInfo'>";
				$Products .= "<div class='prodTitle'>" . esc_html(substr($Product->Get_Product_Name(), 0, 30)) . "</div>";
				$Products .= "<div class='prodExcerpt'>" . esc_html(substr(strip_tags($Product->Get_Field_Value('Item_Description')), 0, 60) ) . "</div>";
				$Products .= "<div class='readMore'><i class='fa fa-external-link-square'></i></div>";
				$Products .= "</div>";
				$Products .= "</a>";
				$Products .= "</li>";
			}
		}
		$Products .= '</ul>';
		$Products .= '</section>';
	}
	if ($latestProdsEnable == 'yes') {
		$Products .= '<section class="featuredProds" id="homeLatestProds">';
		$Products .= '<ul class="fourCols">';
		$product_count = 4;
		if (class_exists('UPCP_Product')) {
			$Recent_Products = $wpdb->get_results("SELECT Item_ID FROM $items_table_name WHERE Item_Date_Created!='0000-00-00 00:00:00' AND Item_Display_Status!='Hide' ORDER BY Item_Date_Created DESC LIMIT " . $product_count);
			foreach ($Recent_Products as $Product_ID){
				$Product = new UPCP_Product(array('ID' => $Product_ID->Item_ID));
				$Product_Link = $Product->Get_Permalink($CatalogUrl);
				$Products .= "<li>";
				$Products .= "<img src='" . esc_url($Product->Get_Field_Value('Item_Photo_URL')) . "' alt='" . $Product->Get_Product_Name() . "' />";
				$Products .= "<a href='" . esc_url($Product_Link) . "' class='proLink'>";
				$Products .= "<div class='prodInfo'>";
				$Products .= "<div class='prodTitle'>" . esc_html(substr($Product->Get_Product_Name(), 0, 30)) . "</div>";
				$Products .= "<div class='prodExcerpt'>" . esc_html(substr(strip_tags($Product->Get_Field_Value('Item_Description')), 0, 60) ) . "</div>";
				$Products .= "<div class='readMore'><i class='fa fa-external-link-square'></i></div>";
				$Products .= "</div>";
				$Products .= "</a>";
				$Products .= "</li>";
			}
		}
		$Products .= '</ul>';
		$Products .= '</section>';
	}

	$Products .= '<div class="clear"></div>';
	$Products .= '<a href="' . esc_url($CatalogUrl) . '" class="newButton centerButton">' . esc_html($Full_Catalog_Label) . '</a>';
	$Products .= '</div>';
	$Products .= '</div>';
	$Products .= '</section>';

	return $Products;
}

function EWD_UST_Insert_Text_On_Pic() {
	$TextOnPic = '<section class="textOnPic">';
	$TextOnPic .= '<div class="wrapper">';
	$TextOnPic .= '<div class="container">';
	$TextOnPic .= '<div class="textOnPicImage">';
	$TextOnPic .= '<img src="' . esc_url(get_theme_mod('upcp_theme_setting_textonpic_overlay_image')) . '" alt="' . esc_attr(get_theme_mod('upcp_theme_setting_textonpic_heading_text')) . '">';
	$TextOnPic .= '</div>';
	$TextOnPic .= '<div class="innerText">';
	$TextOnPic .= '<div class="innerTextTitle">' . esc_html(get_theme_mod('upcp_theme_setting_textonpic_heading_text')) .'</div>';
	$TextOnPic .= '<div class="clear"></div>';
	$TextOnPic .= '<div class="innerTextExcerpt">' . esc_html(get_theme_mod('upcp_theme_setting_textonpic_subheading_text')) . '</div>';
	$TextOnPic .= '<div class="clear"></div>';
	if (get_theme_mod('upcp_theme_setting_textonpic_button_text') != '') {$TextOnPic .= '<a href="' . esc_url(get_theme_mod('upcp_theme_setting_textonpic_button_link')) . '" class="newButton whiteButton">' . esc_html(get_theme_mod('upcp_theme_setting_textonpic_button_text')) . '</a>';}
	$TextOnPic .= '</div>';
	$TextOnPic .= '</div>';
	$TextOnPic .= '</div>';
	$TextOnPic .= '</section>';

	return $TextOnPic;
}

function EWD_UST_Insert_Testimonials() {
	if (get_option("EWD_UPCP_Theme_Testimonials_Label") == "") {$Testimonials_Label = __("Testimonials", "ultimate-showcase");}
	else {$Testimonials_Label = get_option("EWD_UPCP_Theme_Testimonials_Label");}

	$Testimonials = '<section class="panel">';
	$Testimonials .= '<div class="wrapper">';
	$Testimonials .= '<div class="container">';
	$Testimonials .= upcp_theme_testimonials_shortcode(
							array(
								'posts' => 3,
								'title' => esc_html($Testimonials_Label),
							)
						);

	$Testimonials .= '</div>';
	$Testimonials .= '</div>';
	$Testimonials .= '</section>';

	return $Testimonials;
}

function EWS_UST_Insert_Callout() {
	$Callout = upcp_theme_callout_shortcode(
		array(
			'color' => esc_attr( get_theme_mod( 'upcp_theme_setting_callout_background_color' ) ),
			'text_color' => esc_attr( get_theme_mod( 'upcp_theme_setting_callout_text_color' ) ),
			'button_text' => esc_html( get_theme_mod( 'upcp_theme_setting_callout_button_text' ) ),
			'button_link' => esc_url( get_theme_mod( 'upcp_theme_setting_callout_button_link' ) ),
			'subtext' => esc_html( get_theme_mod( 'upcp_theme_setting_callout_subheading_text' ) ),
		),
		esc_html( get_theme_mod( 'upcp_theme_setting_callout_heading_text' ) )
	);

	return $Callout;
}

get_footer();
?>
